summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
Diffstat (limited to 'sci-electronics')
-rw-r--r--sci-electronics/fasthenry/fasthenry-3.0.20.07.17.ebuild14
-rw-r--r--sci-electronics/gazebo/files/boost.patch49
-rw-r--r--sci-electronics/gazebo/files/gv10.patch45
-rw-r--r--sci-electronics/gazebo/gazebo-11.14.0.ebuild4
-rw-r--r--sci-electronics/geda/Manifest1
-rw-r--r--sci-electronics/geda/files/geda-1.9.2-fno-common.patch97
-rw-r--r--sci-electronics/geda/files/geda-1.9.2-guile-2.2.patch16
-rw-r--r--sci-electronics/geda/geda-1.10.2-r1.ebuild97
-rw-r--r--sci-electronics/geda/geda-1.10.2-r2.ebuild30
-rw-r--r--sci-electronics/geda/geda-1.9.2-r1.ebuild95
-rw-r--r--sci-electronics/geda/metadata.xml3
-rw-r--r--sci-electronics/gerbv/gerbv-2.7.0.ebuild4
-rw-r--r--sci-electronics/ghdl/Manifest3
-rw-r--r--sci-electronics/ghdl/ghdl-4.0.0-r1.ebuild (renamed from sci-electronics/ghdl/ghdl-4.0.0_pre20231218.ebuild)16
-rw-r--r--sci-electronics/ghdl/ghdl-4.1.0.ebuild90
-rw-r--r--sci-electronics/gsmc/gsmc-1.1-r3.ebuild14
-rw-r--r--sci-electronics/gspeakers/gspeakers-0.11-r2.ebuild4
-rw-r--r--sci-electronics/gspiceui/gspiceui-1.1.0.ebuild4
-rw-r--r--sci-electronics/gspiceui/gspiceui-1.2.87-r1.ebuild4
-rw-r--r--sci-electronics/gspiceui/gspiceui-1.2.87.ebuild4
-rw-r--r--sci-electronics/gtkwave/gtkwave-3.3.106.ebuild4
-rw-r--r--sci-electronics/gtkwave/gtkwave-3.3.111.ebuild4
-rw-r--r--sci-electronics/gwave/gwave-20190116.ebuild4
-rw-r--r--sci-electronics/irsim/Manifest1
-rw-r--r--sci-electronics/irsim/irsim-9.7.93-r1.ebuild46
-rw-r--r--sci-electronics/irsim/metadata.xml3
-rw-r--r--sci-electronics/kicad-footprints/Manifest5
-rw-r--r--sci-electronics/kicad-footprints/kicad-footprints-7.0.10.ebuild2
-rw-r--r--sci-electronics/kicad-footprints/kicad-footprints-7.0.11.ebuild (renamed from sci-electronics/kicad-footprints/kicad-footprints-7.0.8.ebuild)2
-rw-r--r--sci-electronics/kicad-footprints/kicad-footprints-8.0.1.ebuild (renamed from sci-electronics/kicad-footprints/kicad-footprints-7.0.9.ebuild)4
-rw-r--r--sci-electronics/kicad-footprints/kicad-footprints-8.0.2.ebuild28
-rw-r--r--sci-electronics/kicad-footprints/kicad-footprints-9999.ebuild4
-rw-r--r--sci-electronics/kicad-meta/kicad-meta-7.0.10.ebuild2
-rw-r--r--sci-electronics/kicad-meta/kicad-meta-7.0.11.ebuild (renamed from sci-electronics/kicad-meta/kicad-meta-7.0.8.ebuild)2
-rw-r--r--sci-electronics/kicad-meta/kicad-meta-8.0.1.ebuild (renamed from sci-electronics/kicad-meta/kicad-meta-7.0.9.ebuild)2
-rw-r--r--sci-electronics/kicad-meta/kicad-meta-8.0.2.ebuild27
-rw-r--r--sci-electronics/kicad-packages3d/Manifest5
-rw-r--r--sci-electronics/kicad-packages3d/kicad-packages3d-7.0.10.ebuild2
-rw-r--r--sci-electronics/kicad-packages3d/kicad-packages3d-7.0.11.ebuild (renamed from sci-electronics/kicad-packages3d/kicad-packages3d-7.0.8.ebuild)0
-rw-r--r--sci-electronics/kicad-packages3d/kicad-packages3d-8.0.1.ebuild (renamed from sci-electronics/kicad-packages3d/kicad-packages3d-7.0.9.ebuild)2
-rw-r--r--sci-electronics/kicad-packages3d/kicad-packages3d-8.0.2.ebuild31
-rw-r--r--sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild2
-rw-r--r--sci-electronics/kicad-symbols/Manifest5
-rw-r--r--sci-electronics/kicad-symbols/kicad-symbols-7.0.10.ebuild2
-rw-r--r--sci-electronics/kicad-symbols/kicad-symbols-7.0.11.ebuild (renamed from sci-electronics/kicad-symbols/kicad-symbols-7.0.9.ebuild)2
-rw-r--r--sci-electronics/kicad-symbols/kicad-symbols-8.0.1.ebuild (renamed from sci-electronics/kicad-symbols/kicad-symbols-7.0.8.ebuild)4
-rw-r--r--sci-electronics/kicad-symbols/kicad-symbols-8.0.2.ebuild28
-rw-r--r--sci-electronics/kicad-symbols/kicad-symbols-9999.ebuild2
-rw-r--r--sci-electronics/kicad-templates/Manifest5
-rw-r--r--sci-electronics/kicad-templates/kicad-templates-7.0.10.ebuild2
-rw-r--r--sci-electronics/kicad-templates/kicad-templates-7.0.11.ebuild (renamed from sci-electronics/kicad-templates/kicad-templates-7.0.8.ebuild)2
-rw-r--r--sci-electronics/kicad-templates/kicad-templates-8.0.1.ebuild (renamed from sci-electronics/kicad-templates/kicad-templates-7.0.9.ebuild)4
-rw-r--r--sci-electronics/kicad-templates/kicad-templates-8.0.2.ebuild22
-rw-r--r--sci-electronics/kicad-templates/kicad-templates-9999.ebuild4
-rw-r--r--sci-electronics/kicad/Manifest5
-rw-r--r--sci-electronics/kicad/files/kicad-8.0.1-libgit2.patch36
-rw-r--r--sci-electronics/kicad/kicad-7.0.10.ebuild9
-rw-r--r--sci-electronics/kicad/kicad-7.0.11.ebuild (renamed from sci-electronics/kicad/kicad-7.0.8-r1.ebuild)7
-rw-r--r--sci-electronics/kicad/kicad-7.0.7.ebuild11
-rw-r--r--sci-electronics/kicad/kicad-8.0.0.ebuild13
-rw-r--r--sci-electronics/kicad/kicad-8.0.1.ebuild (renamed from sci-electronics/kicad/kicad-7.0.9.ebuild)18
-rw-r--r--sci-electronics/kicad/kicad-8.0.2-r1.ebuild180
-rw-r--r--sci-electronics/kicad/kicad-9999.ebuild22
-rw-r--r--sci-electronics/ngspice/ngspice-36.ebuild6
-rw-r--r--sci-electronics/ngspice/ngspice-40.ebuild13
-rw-r--r--sci-electronics/nvc/Manifest4
-rw-r--r--sci-electronics/nvc/nvc-1.12.1.ebuild (renamed from sci-electronics/nvc/nvc-1.11.3.ebuild)0
-rw-r--r--sci-electronics/nvc/nvc-1.12.2.ebuild (renamed from sci-electronics/nvc/nvc-1.11.2.ebuild)17
-rw-r--r--sci-electronics/pcb/pcb-4.2.2.ebuild4
-rw-r--r--sci-electronics/pcb/pcb-4.3.0.ebuild4
-rw-r--r--sci-electronics/qelectrotech/metadata.xml5
-rw-r--r--sci-electronics/spice/spice-3.5.5-r3.ebuild75
-rw-r--r--sci-electronics/xnec2c/Manifest2
-rw-r--r--sci-electronics/xnec2c/xnec2c-4.4.14.ebuild56
-rw-r--r--sci-electronics/xnec2c/xnec2c-4.4.16.ebuild56
-rw-r--r--sci-electronics/xoscope/xoscope-2.3.ebuild15
76 files changed, 902 insertions, 514 deletions
diff --git a/sci-electronics/fasthenry/fasthenry-3.0.20.07.17.ebuild b/sci-electronics/fasthenry/fasthenry-3.0.20.07.17.ebuild
index ee1cef974df8..b6277e0a9e1c 100644
--- a/sci-electronics/fasthenry/fasthenry-3.0.20.07.17.ebuild
+++ b/sci-electronics/fasthenry/fasthenry-3.0.20.07.17.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2020 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
-EAPI=7
+EAPI=8
-inherit toolchain-funcs
+inherit flag-o-matic toolchain-funcs
DESCRIPTION="Three dimensional inductance computation program, Whiteley Research version"
HOMEPAGE="http://www.wrcad.com/freestuff.html"
@@ -27,6 +27,14 @@ PATCHES=(
)
src_compile() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/862450
+ #
+ # Upstream provides a contact email. I have sent an email describing the
+ # bug. They responded to say it is now fixed and a new version will be
+ # available shortly.
+ filter-lto
+
tc-export CC AR
emake all
}
diff --git a/sci-electronics/gazebo/files/boost.patch b/sci-electronics/gazebo/files/boost.patch
new file mode 100644
index 000000000000..56f26387c58c
--- /dev/null
+++ b/sci-electronics/gazebo/files/boost.patch
@@ -0,0 +1,49 @@
+From 6b4d0f0b94cb2d98e6a48970c1c128e9b4f13e47 Mon Sep 17 00:00:00 2001
+From: Steve Peters <scpeters@openrobotics.org>
+Date: Fri, 10 May 2024 15:39:02 +0200
+Subject: [PATCH 1/2] Fix build with boost 1.85.0
+
+Signed-off-by: Steve Peters <scpeters@openrobotics.org>
+---
+ gazebo/common/Console.cc | 2 +-
+ 1 file changed, 1 insertion(+), 1 deletion(-)
+
+diff --git a/gazebo/common/Console.cc b/gazebo/common/Console.cc
+index 6b86bc2d02..bb4dbe3180 100644
+--- a/gazebo/common/Console.cc
++++ b/gazebo/common/Console.cc
+@@ -221,7 +221,7 @@ void FileLogger::Init(const std::string &_prefix, const std::string &_filename)
+ if (boost::filesystem::is_directory(logPath))
+ this->logDirectory = logPath.string();
+ else
+- this->logDirectory = logPath.branch_path().string();
++ this->logDirectory = logPath.parent_path().string();
+ }
+
+ /////////////////////////////////////////////////
+
+From 27c2277a2376f9d82755e975ae8b564d9d6ca6ed Mon Sep 17 00:00:00 2001
+From: Steve Peters <scpeters@openrobotics.org>
+Date: Fri, 10 May 2024 17:43:32 +0200
+Subject: [PATCH 2/2] Fix build error in LogPlay.cc as well
+
+Signed-off-by: Steve Peters <scpeters@openrobotics.org>
+---
+ gazebo/util/LogPlay.cc | 4 ++--
+ 1 file changed, 2 insertions(+), 2 deletions(-)
+
+diff --git a/gazebo/util/LogPlay.cc b/gazebo/util/LogPlay.cc
+index 70cfcc3346..be00820edb 100644
+--- a/gazebo/util/LogPlay.cc
++++ b/gazebo/util/LogPlay.cc
+@@ -414,8 +414,8 @@ common::Time LogPlay::LogEndTime() const
+ /////////////////////////////////////////////////
+ std::string LogPlay::Filename() const
+ {
+- return boost::filesystem::basename(this->dataPtr->filename) +
+- boost::filesystem::extension(this->dataPtr->filename);
++ boost::filesystem::path path(this->dataPtr->filename);
++ return path.stem().string() + path.extension().string();
+ }
+
+ /////////////////////////////////////////////////
diff --git a/sci-electronics/gazebo/files/gv10.patch b/sci-electronics/gazebo/files/gv10.patch
new file mode 100644
index 000000000000..f3ab5eb1e686
--- /dev/null
+++ b/sci-electronics/gazebo/files/gv10.patch
@@ -0,0 +1,45 @@
+From 660ae15f4af1f5ea8d9d50d4a24e4d91a94f9c2d Mon Sep 17 00:00:00 2001
+From: Steve Peters <scpeters@openrobotics.org>
+Date: Tue, 20 Feb 2024 17:25:23 -0800
+Subject: [PATCH] Fix build with graphviz 10.0
+
+Replace TRUE with 1, since the TRUE macro has been removed.
+
+Signed-off-by: Steve Peters <scpeters@openrobotics.org>
+---
+ gazebo/gui/qgv/QGVSubGraph.cpp | 8 ++++----
+ 1 file changed, 4 insertions(+), 4 deletions(-)
+
+diff --git a/gazebo/gui/qgv/QGVSubGraph.cpp b/gazebo/gui/qgv/QGVSubGraph.cpp
+index 51925aba30..c16b69d065 100644
+--- a/gazebo/gui/qgv/QGVSubGraph.cpp
++++ b/gazebo/gui/qgv/QGVSubGraph.cpp
+@@ -44,13 +44,13 @@ QString QGVSubGraph::name() const
+
+ QGVNode *QGVSubGraph::addNode(const QString &label)
+ {
+- Agnode_t *node = agnode(_sgraph->graph(), NULL, TRUE);
++ Agnode_t *node = agnode(_sgraph->graph(), NULL, 1);
+ if (node == NULL)
+ {
+ qWarning()<<"Invalid sub node :"<<label;
+ return 0;
+ }
+- agsubnode(_sgraph->graph(), node, TRUE);
++ agsubnode(_sgraph->graph(), node, 1);
+
+ QGVNode *item = new QGVNode(new QGVNodePrivate(node), _scene);
+ item->setLabel(label);
+@@ -66,10 +66,10 @@ QGVSubGraph *QGVSubGraph::addSubGraph(const QString &_name, bool cluster)
+ if (cluster)
+ {
+ sgraph = agsubg(_sgraph->graph(),
+- ("cluster_" + _name).toLocal8Bit().data(), TRUE);
++ ("cluster_" + _name).toLocal8Bit().data(), 1);
+ }
+ else
+- sgraph = agsubg(_sgraph->graph(), _name.toLocal8Bit().data(), TRUE);
++ sgraph = agsubg(_sgraph->graph(), _name.toLocal8Bit().data(), 1);
+
+ if (sgraph == NULL)
+ {
diff --git a/sci-electronics/gazebo/gazebo-11.14.0.ebuild b/sci-electronics/gazebo/gazebo-11.14.0.ebuild
index 0a321f61f496..04caee69b302 100644
--- a/sci-electronics/gazebo/gazebo-11.14.0.ebuild
+++ b/sci-electronics/gazebo/gazebo-11.14.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -65,6 +65,8 @@ CMAKE_BUILD_TYPE=RelWithDebInfo
PATCHES=(
"${FILESDIR}/qwt2.patch"
"${FILESDIR}/cmake.patch"
+ "${FILESDIR}/gv10.patch"
+ "${FILESDIR}/boost.patch"
)
src_configure() {
diff --git a/sci-electronics/geda/Manifest b/sci-electronics/geda/Manifest
index 4639d6ec8227..c84543cdf7b2 100644
--- a/sci-electronics/geda/Manifest
+++ b/sci-electronics/geda/Manifest
@@ -1,2 +1 @@
DIST geda-gaf-1.10.2.tar.gz 14441491 BLAKE2B d6ecc4bc1390ff457396ae406fdeee909418f63d8c50e537215fa0a1131cfda91339f44ddc2c91ca0f3772f4416be1c4448fea45336c78bb601fb9b4df399b14 SHA512 c7beabf019762d9d3b4faa63f1345fb064ebbb6e0203a6c5bcab6b740d20db9f3cedf85c2f99e3ab1cb5396c06886fad1dbd5201eb7bad9e77c03511cf23b1a1
-DIST geda-gaf-1.9.2.tar.gz 10612225 BLAKE2B d09accde32f672b984bc2541404efccc886edb15e985bab287b4a619f11fc10cfd2b3ce3074d82c1a61811c4df9e515ecfbc61bd537c6943188b130062bda97f SHA512 5e26ea2cffffe50bd4f0bdb4594af9cc4510386d29c715c2b4ea99c6522838a08cc2045bf65e8b1da01ab33a266fc9f03da42e28b8cc4d5c030001777ab077e3
diff --git a/sci-electronics/geda/files/geda-1.9.2-fno-common.patch b/sci-electronics/geda/files/geda-1.9.2-fno-common.patch
deleted file mode 100644
index c509b42904a8..000000000000
--- a/sci-electronics/geda/files/geda-1.9.2-fno-common.patch
+++ /dev/null
@@ -1,97 +0,0 @@
---- a/gschem/include/globals.h
-+++ b/gschem/include/globals.h
-@@ -27,7 +27,7 @@
- extern GList *global_window_list;
-
- /* Manager for recently used files */
--GtkRecentManager *recent_manager;
-+extern GtkRecentManager *recent_manager;
-
- /* colors */
- extern GdkColor white;
---- a/gschem/src/globals.c
-+++ b/gschem/src/globals.c
-@@ -28,6 +28,8 @@
- /* window list */
- GList *global_window_list = NULL;
-
-+GtkRecentManager *recent_manager = NULL;
-+
- char *rc_filename = NULL;
- char *output_filename = NULL;
-
---- a/gattrib/include/globals.h
-+++ b/gattrib/include/globals.h
-@@ -88,7 +88,7 @@
- * structs.h
- */
- /*------------------------------------------------------------------*/
--TOPLEVEL *pr_current;
-+extern TOPLEVEL *pr_current;
-
- /*------------------------------------------------------------------*/
- /*!
-@@ -97,7 +97,7 @@ TOPLEVEL *pr_current;
- * callbacks. It is defined in structs.h
- */
- /*------------------------------------------------------------------*/
--SHEET_DATA *sheet_head;
-+extern SHEET_DATA *sheet_head;
-
- /*------------------------------------------------------------------
- * GTKsheet includes: stuff for dealing with windows.
-@@ -106,18 +106,18 @@ SHEET_DATA *sheet_head;
- #define DEFAULT_SPACE 8
- #define NUM_SHEETS 3 /* Components, Nets, and Pins */
-
--GtkWidget *window; /* Main window */
--GtkWidget *notebook;
-+extern GtkWidget *window; /* Main window */
-+extern GtkWidget *notebook;
-
--GtkSheet **sheets; /* These are the spreadsheet widgets themselves */
-+extern GtkSheet **sheets; /* These are the spreadsheet widgets themselves */
-
--GtkWidget **scrolled_windows;
--GtkWidget *entry;
--GtkWidget *location;
--GtkWidget *left_button;
--GtkWidget *center_button;
--GtkWidget *right_button;
--GtkWidget *label;
-+extern GtkWidget **scrolled_windows;
-+extern GtkWidget *entry;
-+extern GtkWidget *location;
-+extern GtkWidget *left_button;
-+extern GtkWidget *center_button;
-+extern GtkWidget *right_button;
-+extern GtkWidget *label;
-
- /* command line switch settings */
- extern int verbose_mode;
---- a/gattrib/src/globals.c
-+++ b/gattrib/src/globals.c
-@@ -34,6 +34,23 @@
- #include "../include/prototype.h" /* function prototypes */
- #include "../include/globals.h"
-
-+TOPLEVEL *pr_current;
-+
-+SHEET_DATA *sheet_head;
-+
-+GtkWidget *window;
-+GtkWidget *notebook;
-+
-+GtkSheet **sheets;
-+
-+GtkWidget **scrolled_windows;
-+GtkWidget *entry;
-+GtkWidget *location;
-+GtkWidget *left_button;
-+GtkWidget *center_button;
-+GtkWidget *right_button;
-+GtkWidget *label;
-+
- /* command line arguments */
- int verbose_mode=FALSE; //!< Reflects the value of the command line flag
- int quiet_mode=FALSE; //!< Reflects the value of the command line flag
diff --git a/sci-electronics/geda/files/geda-1.9.2-guile-2.2.patch b/sci-electronics/geda/files/geda-1.9.2-guile-2.2.patch
deleted file mode 100644
index 631673367801..000000000000
--- a/sci-electronics/geda/files/geda-1.9.2-guile-2.2.patch
+++ /dev/null
@@ -1,16 +0,0 @@
---- geda-gaf-1.9.2/m4/geda-guile.m4
-+++ geda-gaf-1.9.2/m4/geda-guile.m4
-@@ -35,8 +35,13 @@
- GUILE_MIN_TEENY=`echo ${GUILE_MIN_VER} | sed -e 's;.*\.;;'`
-
- _found_pkg_config_guile=yes
-+ PKG_CHECK_MODULES(GUILE, [guile-2.2 >= $GUILE_MIN_VER],
-+ [GUILE_PKG_NAME=guile-2.2], [_found_pkg_config_guile=no])
-+
-+ if test "${_found_pkg_config_guile}" = "no" ; then
- PKG_CHECK_MODULES(GUILE, [guile-2.0 >= $GUILE_MIN_VER],
- [GUILE_PKG_NAME=guile-2.0], [_found_pkg_config_guile=no])
-+ fi
-
- if test "${_found_pkg_config_guile}" = "no" ; then
- PKG_CHECK_MODULES(GUILE, [guile-1.8 >= $GUILE_MIN_VER],
diff --git a/sci-electronics/geda/geda-1.10.2-r1.ebuild b/sci-electronics/geda/geda-1.10.2-r1.ebuild
deleted file mode 100644
index 314a941f9a7f..000000000000
--- a/sci-electronics/geda/geda-1.10.2-r1.ebuild
+++ /dev/null
@@ -1,97 +0,0 @@
-# Copyright 1999-2022 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DOCS_BUILDER="doxygen"
-DOCS_DEPEND="
- media-gfx/graphviz
- media-gfx/imagemagick
- virtual/latex-base
-"
-inherit autotools docs xdg
-
-MY_PN=${PN}-gaf
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="GPL Electronic Design Automation (gEDA):gaf core package"
-HOMEPAGE="http://wiki.geda-project.org/geda:gaf"
-SRC_URI="http://ftp.geda-project.org/${MY_PN}/stable/v$(ver_cut 1-2)/${PV}/${MY_P}.tar.gz"
-S="${WORKDIR}/${MY_P}"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="~amd64 ~ppc ~x86"
-IUSE="debug examples fam nls"
-REQUIRED_USE="${PYTHON_REQUIRED_USE}"
-
-RDEPEND="${PYTHON_DEPS}
- dev-libs/glib:2
- dev-scheme/guile
- sci-electronics/electronics-menu
- x11-libs/cairo
- x11-libs/gdk-pixbuf
- x11-libs/gtk+:2
- x11-libs/pango
- nls? ( virtual/libintl )
- fam? ( app-admin/gamin )
-"
-
-DEPEND="${RDEPEND}
- dev-util/desktop-file-utils
- x11-misc/shared-mime-info"
-BDEPEND="
- sys-apps/groff
- virtual/pkgconfig
- nls? ( sys-devel/gettext )
-"
-
-# Xorn requires python2
-PATCHES=(
- "${FILESDIR}/${P}-drop-xorn.patch"
-)
-
-src_prepare() {
- default
- rm -r xorn || die
-
- if ! use doc ; then
- sed -i -e '/^SUBDIRS = /s/docs//' Makefile.in || die
- fi
- if ! use examples ; then
- sed -i -e 's/\texamples$//' Makefile.in || die
- fi
-
- # add missing GIO_LIB Bug #684870
- sed -i -e 's/gsymcheck_LDFLAGS =/gsymcheck_LDFLAGS = $(GIO_LIBS)/' \
- gsymcheck/src/Makefile.am || die
-
- sed -i -e 's/gnetlist_LDFLAGS =/gnetlist_LDFLAGS = $(GIO_LIBS)/' \
- gnetlist-legacy/src/Makefile.am || die
-
- sed -i -e 's/gschlas_LDFLAGS =/gschlas_LDFLAGS = $(GIO_LIBS)/' \
- utils/gschlas/Makefile.am || die
-
- sed -i -e 's/sarlacc_schem_LDFLAGS =/sarlacc_schem_LDFLAGS = $(GIO_LIBS)/' \
- contrib/sarlacc_schem/Makefile.am || die
-
- # remove compressed files, compressed by portage in install phase
- rm docs/wiki/media/geda/gsch2pcb-libs.tar.gz || die
- rm docs/wiki/media/geda/pcb_plugin_template.tar.gz || die
- rm docs/wiki/media/pcb/plugin_debug_window.tar.gz || die
-
- eautoreconf
-}
-
-src_configure() {
- local myconf=(
- --disable-rpath
- --disable-update-xdg-database
- $(use_enable doc doxygen)
- $(use_enable debug assert)
- $(use_enable nls)
- $(use_with fam libfam)
- )
-
- econf "${myconf[@]}"
-}
diff --git a/sci-electronics/geda/geda-1.10.2-r2.ebuild b/sci-electronics/geda/geda-1.10.2-r2.ebuild
index 219932fee130..24b2e1b10dd4 100644
--- a/sci-electronics/geda/geda-1.10.2-r2.ebuild
+++ b/sci-electronics/geda/geda-1.10.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -15,14 +15,14 @@ MY_PN=${PN}-gaf
MY_P=${MY_PN}-${PV}
DESCRIPTION="GPL Electronic Design Automation (gEDA):gaf core package"
-HOMEPAGE="http://wiki.geda-project.org/geda:gaf"
+HOMEPAGE="http://geda-project.org/ http://wiki.geda-project.org/geda:gaf"
SRC_URI="http://ftp.geda-project.org/${MY_PN}/stable/v$(ver_cut 1-2)/${PV}/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc ~x86"
-IUSE="debug examples fam nls"
+IUSE="debug fam nls"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
RDEPEND="${PYTHON_DEPS}
@@ -57,31 +57,15 @@ src_prepare() {
default
rm -r xorn || die
- if ! use doc ; then
- sed -i -e '/^SUBDIRS = /s/docs//' Makefile.in || die
- fi
- if ! use examples ; then
- sed -i -e 's/\texamples$//' Makefile.in || die
- fi
-
- # add missing GIO_LIB Bug #684870
- sed -i -e 's/gsymcheck_LDFLAGS =/gsymcheck_LDFLAGS = $(GIO_LIBS)/' \
- gsymcheck/src/Makefile.am || die
-
- sed -i -e 's/gnetlist_LDFLAGS =/gnetlist_LDFLAGS = $(GIO_LIBS)/' \
- gnetlist-legacy/src/Makefile.am || die
-
- sed -i -e 's/gschlas_LDFLAGS =/gschlas_LDFLAGS = $(GIO_LIBS)/' \
- utils/gschlas/Makefile.am || die
-
- sed -i -e 's/sarlacc_schem_LDFLAGS =/sarlacc_schem_LDFLAGS = $(GIO_LIBS)/' \
- contrib/sarlacc_schem/Makefile.am || die
-
# remove compressed files, compressed by portage in install phase
rm docs/wiki/media/geda/gsch2pcb-libs.tar.gz || die
rm docs/wiki/media/geda/pcb_plugin_template.tar.gz || die
rm docs/wiki/media/pcb/plugin_debug_window.tar.gz || die
+ # -Wmaybe-uninitialized is made fatal, which is not ideal for building
+ # releases. Upstream is working on fixing these anyway.
+ sed -i '/Werror_maybe_uninitialized_IF_SUPPORTED/d' configure.ac || die
+
eautoreconf
}
diff --git a/sci-electronics/geda/geda-1.9.2-r1.ebuild b/sci-electronics/geda/geda-1.9.2-r1.ebuild
deleted file mode 100644
index 06fbdeff605a..000000000000
--- a/sci-electronics/geda/geda-1.9.2-r1.ebuild
+++ /dev/null
@@ -1,95 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=7
-
-inherit autotools xdg
-
-MY_PN=${PN}-gaf
-MY_P=${MY_PN}-${PV}
-
-DESCRIPTION="GPL Electronic Design Automation (gEDA):gaf core package"
-HOMEPAGE="http://wiki.geda-project.org/geda:gaf"
-SRC_URI="http://ftp.geda-project.org/${MY_PN}/unstable/v$(ver_cut 1-2)/${PV}/${MY_P}.tar.gz"
-
-LICENSE="GPL-2"
-SLOT="0"
-KEYWORDS="amd64 ~ppc ~x86"
-IUSE="debug doc examples nls stroke threads"
-
-RDEPEND="
- dev-libs/glib:2
- dev-scheme/guile
- sci-electronics/electronics-menu
- x11-libs/cairo
- x11-libs/gdk-pixbuf
- x11-libs/gtk+:2
- x11-libs/pango
- nls? ( virtual/libintl )
- stroke? ( dev-libs/libstroke )"
-
-DEPEND="${RDEPEND}
- dev-util/desktop-file-utils
- x11-misc/shared-mime-info"
-BDEPEND="
- sys-apps/groff
- virtual/pkgconfig
- nls? ( sys-devel/gettext )"
-
-S="${WORKDIR}/${MY_P}"
-
-PATCHES=(
- "${FILESDIR}"/${P}-guile-2.2.patch
- "${FILESDIR}"/${P}-fno-common.patch
-)
-
-src_prepare() {
- default
-
- if ! use doc ; then
- sed -i -e '/^SUBDIRS = /s/docs//' Makefile.in || die
- fi
- if ! use examples ; then
- sed -i -e 's/\texamples$//' Makefile.in || die
- fi
-
- # add missing GIO_LIB Bug #684870
- sed -i -e 's/gsymcheck_LDFLAGS =/gsymcheck_LDFLAGS = $(GIO_LIBS)/' \
- gsymcheck/src/Makefile.am || die
-
- sed -i -e 's/gnetlist_LDFLAGS =/gnetlist_LDFLAGS = $(GIO_LIBS)/' \
- gnetlist/src/Makefile.am || die
-
- sed -i -e 's/gschlas_LDFLAGS =/gschlas_LDFLAGS = $(GIO_LIBS)/' \
- utils/gschlas/Makefile.am || die
-
- sed -i -e 's/sarlacc_schem_LDFLAGS =/sarlacc_schem_LDFLAGS = $(GIO_LIBS)/' \
- contrib/sarlacc_schem/Makefile.am || die
-
- rm docs/wiki/media/geda/gsch2pcb-libs.tar.gz || die
-
- eautoreconf
-}
-
-src_configure() {
- local myconf=(
- --disable-doxygen
- --disable-rpath
- --disable-update-xdg-database
- $(use_enable debug assert)
- $(use_enable nls)
- $(use_enable threads threads posix)
- $(use_with stroke libstroke)
- )
-
- econf "${myconf[@]}"
-}
-
-src_test() {
- emake -j1 check
-}
-
-src_install() {
- default
- find "${ED}" -name '*.la' -delete || die
-}
diff --git a/sci-electronics/geda/metadata.xml b/sci-electronics/geda/metadata.xml
index 41090aecc004..db3ca30f3bbe 100644
--- a/sci-electronics/geda/metadata.xml
+++ b/sci-electronics/geda/metadata.xml
@@ -18,7 +18,4 @@
The gEDA/gaf suite (this package) provides schematic capture,
netlisting, bill of materials generation, and many other features.
</longdescription>
- <use>
- <flag name="stroke">enable mouse gesture support</flag>
- </use>
</pkgmetadata>
diff --git a/sci-electronics/gerbv/gerbv-2.7.0.ebuild b/sci-electronics/gerbv/gerbv-2.7.0.ebuild
index 8bca34e8cf4c..6178a2b00050 100644
--- a/sci-electronics/gerbv/gerbv-2.7.0.ebuild
+++ b/sci-electronics/gerbv/gerbv-2.7.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -7,7 +7,7 @@ inherit xdg
DESCRIPTION="A RS-274X (Gerber) and NC drill (Excellon) file viewer"
HOMEPAGE="http://gerbv.geda-project.org/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
diff --git a/sci-electronics/ghdl/Manifest b/sci-electronics/ghdl/Manifest
index 854f17174cb9..e69dd5a5d142 100644
--- a/sci-electronics/ghdl/Manifest
+++ b/sci-electronics/ghdl/Manifest
@@ -1 +1,2 @@
-DIST ghdl-4.0.0_pre20231218.tar.gz 7761842 BLAKE2B d5b3ae4c28b245881681695cee74eca1d69092d8089cb1ec042f42d26e62aa420ace8f04899023d98259d845ea89700d77c453b892c176d4d1b367ac7a8237a6 SHA512 6b9ac7221bee5b8ec2cc7971fbad5aff615839aa3c3170fa39079c68e65da8b4a8d60f5c53d9fa88146c9f865b0d8a059fd03358e20b660b6543cf1b0c0b0c84
+DIST ghdl-4.0.0.tar.gz 7683124 BLAKE2B 2b43f1a24c9fb30f754ae6326b21fd52991f3bd69fc1c2dfbd3064d950cef74f7e66f2a846778e6429fbfae07d349f913993d91c52ec53cdad894b06f810cb03 SHA512 95b08274f2ed54556fbe2e72ce52605d9ca8269b535306348d25a259615a0610b59a61fb4458e0c1e548570361af15d45d89941bf4ab4afd2fafb10b07e69cae
+DIST ghdl-4.1.0.tar.gz 7704716 BLAKE2B d69791d947ed11b62fac8e076c3b9e1bad606a0de57e8d5bd67c9a8f7ea0cad73643085efbaaa06fabdd5900366334b63385589da72f4db488f5b27b142a76f8 SHA512 0a3a465f7f8ed7fba9b81b5dec2903bf82731c97a127666e7644286c9ea80078354be4e6bf8947a6ef631b646dc7e8e69dce2d9a467ac36ee03c67d9335a2703
diff --git a/sci-electronics/ghdl/ghdl-4.0.0_pre20231218.ebuild b/sci-electronics/ghdl/ghdl-4.0.0-r1.ebuild
index 068afb77b62d..7fb1396f35c1 100644
--- a/sci-electronics/ghdl/ghdl-4.0.0_pre20231218.ebuild
+++ b/sci-electronics/ghdl/ghdl-4.0.0-r1.ebuild
@@ -3,9 +3,7 @@
EAPI=8
-[[ "${PV}" = *_pre20231218 ]] && COMMIT=2135cbf1458bd1b8b8f42bda81222ab57bd66de6
-
-ADA_COMPAT=( gnat_2021 )
+ADA_COMPAT=( gnat_2021 gcc_13 )
LLVM_MAX_SLOT=17 # Check "configure" script for supported LLVM versions.
inherit ada edo llvm toolchain-funcs
@@ -19,9 +17,8 @@ if [[ "${PV}" == *9999* ]] ; then
EGIT_REPO_URI="https://github.com/ghdl/${PN}.git"
else
- SRC_URI="https://github.com/ghdl/${PN}/archive/${COMMIT}.tar.gz
+ SRC_URI="https://github.com/ghdl/${PN}/archive/v${PV}.tar.gz
-> ${P}.tar.gz"
- S="${WORKDIR}/${PN}-${COMMIT}"
KEYWORDS="amd64 ~x86"
fi
@@ -60,11 +57,14 @@ src_configure() {
tc-export CC CXX
local -a myconf=(
+ # Build.
--disable-werror
+ # Install location.
--libdir=$(get_libdir)
--prefix=/usr
+ # Features.
--enable-libghdl
--enable-synth
)
@@ -82,3 +82,9 @@ src_compile() {
patchelf --set-soname libghw.so lib/libghw.so || die
}
+
+src_install() {
+ default
+
+ find "${ED}" -type f -name '*.a' -delete || die
+}
diff --git a/sci-electronics/ghdl/ghdl-4.1.0.ebuild b/sci-electronics/ghdl/ghdl-4.1.0.ebuild
new file mode 100644
index 000000000000..91b707eb0ca7
--- /dev/null
+++ b/sci-electronics/ghdl/ghdl-4.1.0.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+ADA_COMPAT=( gnat_2021 gcc_13 )
+LLVM_MAX_SLOT=17 # Check "configure" script for supported LLVM versions.
+
+inherit ada edo llvm toolchain-funcs
+
+DESCRIPTION="Open-source analyzer, compiler, and simulator for VHDL 2008/93/87"
+HOMEPAGE="https://ghdl.github.io/ghdl/
+ https://github.com/ghdl/ghdl/"
+
+if [[ "${PV}" == *9999* ]] ; then
+ inherit git-r3
+
+ EGIT_REPO_URI="https://github.com/ghdl/${PN}.git"
+else
+ SRC_URI="https://github.com/ghdl/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.tar.gz"
+
+ KEYWORDS="~amd64 ~x86"
+fi
+
+LICENSE="GPL-2+"
+SLOT="0"
+IUSE="llvm"
+REQUIRED_USE="${ADA_REQUIRED_USE}"
+
+RDEPEND="
+ ${ADA_DEPS}
+ llvm? ( <sys-devel/llvm-$((${LLVM_MAX_SLOT} + 1)):= )
+"
+DEPEND="
+ ${RDEPEND}
+"
+BDEPEND="
+ dev-util/patchelf
+"
+
+PATCHES=( "${FILESDIR}/${PN}-4.0.0_pre20231218-no-pyunit.patch" )
+
+pkg_setup() {
+ ada_pkg_setup
+
+ use llvm && llvm_pkg_setup
+}
+
+src_prepare() {
+ default
+
+ sed -i "s|ar rc|$(tc-getAR) rc|g" Makefile.in || die
+}
+
+src_configure() {
+ tc-export CC CXX
+
+ local -a myconf=(
+ # Build.
+ --disable-werror
+
+ # Install location.
+ --libdir=$(get_libdir)
+ --prefix=/usr
+
+ # Features.
+ --enable-libghdl
+ --enable-synth
+ )
+
+ if use llvm ; then
+ myconf+=( --with-llvm-config=llvm-config )
+ fi
+
+ # Not a autotools script!
+ edo sh ./configure "${myconf[@]}"
+}
+
+src_compile() {
+ default
+
+ patchelf --set-soname libghw.so lib/libghw.so || die
+}
+
+src_install() {
+ default
+
+ find "${ED}" -type f -name '*.a' -delete || die
+}
diff --git a/sci-electronics/gsmc/gsmc-1.1-r3.ebuild b/sci-electronics/gsmc/gsmc-1.1-r3.ebuild
index ebd74cd54aa1..7abf1fbc2832 100644
--- a/sci-electronics/gsmc/gsmc-1.1-r3.ebuild
+++ b/sci-electronics/gsmc/gsmc-1.1-r3.ebuild
@@ -1,9 +1,9 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-inherit autotools
+inherit autotools flag-o-matic
DESCRIPTION="A GTK program for doing Smith Chart calculations"
HOMEPAGE="https://www.qsl.net/ik5nax/"
@@ -30,6 +30,16 @@ src_prepare() {
eautoreconf
}
+src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/862456
+ #
+ # Upstream software dates to 2004 with no sign of activity.
+ filter-lto
+
+ default
+}
+
src_install() {
emake DESTDIR="${D}" install
dodoc AUTHORS NEWS README TODO
diff --git a/sci-electronics/gspeakers/gspeakers-0.11-r2.ebuild b/sci-electronics/gspeakers/gspeakers-0.11-r2.ebuild
index 28ce47c011f6..35d1e4597f47 100644
--- a/sci-electronics/gspeakers/gspeakers-0.11-r2.ebuild
+++ b/sci-electronics/gspeakers/gspeakers-0.11-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2021 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -7,7 +7,7 @@ inherit autotools flag-o-matic gnome2
DESCRIPTION="GTK based loudspeaker enclosure and crossovernetwork designer"
HOMEPAGE="http://gspeakers.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0"
diff --git a/sci-electronics/gspiceui/gspiceui-1.1.0.ebuild b/sci-electronics/gspiceui/gspiceui-1.1.0.ebuild
index daaf5cffbd0f..d16a8b170d38 100644
--- a/sci-electronics/gspiceui/gspiceui-1.1.0.ebuild
+++ b/sci-electronics/gspiceui/gspiceui-1.1.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -10,7 +10,7 @@ MY_P="${PN}-v${PV}0"
DESCRIPTION="GUI frontend for Ngspice and Gnucap"
HOMEPAGE="https://sourceforge.net/projects/gspiceui/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="GPL-3"
diff --git a/sci-electronics/gspiceui/gspiceui-1.2.87-r1.ebuild b/sci-electronics/gspiceui/gspiceui-1.2.87-r1.ebuild
index 35a1c7747a8f..9247c5e0c84a 100644
--- a/sci-electronics/gspiceui/gspiceui-1.2.87-r1.ebuild
+++ b/sci-electronics/gspiceui/gspiceui-1.2.87-r1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -10,7 +10,7 @@ MY_P="${PN}-v${PV}"
DESCRIPTION="GUI frontend for Ngspice and Gnucap"
HOMEPAGE="https://sourceforge.net/projects/gspiceui/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="GPL-3"
diff --git a/sci-electronics/gspiceui/gspiceui-1.2.87.ebuild b/sci-electronics/gspiceui/gspiceui-1.2.87.ebuild
index 88313ee09ad6..457548d8a92c 100644
--- a/sci-electronics/gspiceui/gspiceui-1.2.87.ebuild
+++ b/sci-electronics/gspiceui/gspiceui-1.2.87.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -10,7 +10,7 @@ MY_P="${PN}-v${PV}"
DESCRIPTION="GUI frontend for Ngspice and Gnucap"
HOMEPAGE="https://sourceforge.net/projects/gspiceui/"
-SRC_URI="mirror://sourceforge/${PN}/${MY_P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${MY_P}.tar.gz"
S="${WORKDIR}/${MY_P}"
LICENSE="GPL-3"
diff --git a/sci-electronics/gtkwave/gtkwave-3.3.106.ebuild b/sci-electronics/gtkwave/gtkwave-3.3.106.ebuild
index 62fd0865a965..f9b8df0f1954 100644
--- a/sci-electronics/gtkwave/gtkwave-3.3.106.ebuild
+++ b/sci-electronics/gtkwave/gtkwave-3.3.106.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -7,7 +7,7 @@ inherit toolchain-funcs xdg
DESCRIPTION="A wave viewer for LXT, LXT2, VZT, GHW and standard Verilog VCD/EVCD files"
HOMEPAGE="http://gtkwave.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${P}.tar.gz"
LICENSE="GPL-2 MIT"
SLOT="0"
diff --git a/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild b/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild
index 931882a1de78..637b98a1bdc6 100644
--- a/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild
+++ b/sci-electronics/gtkwave/gtkwave-3.3.111.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -7,7 +7,7 @@ inherit toolchain-funcs xdg
DESCRIPTION="A wave viewer for LXT, LXT2, VZT, GHW and standard Verilog VCD/EVCD files"
HOMEPAGE="http://gtkwave.sourceforge.net/"
-SRC_URI="mirror://sourceforge/${PN}/${PN}-gtk3-${PV}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/${PN}/${PN}-gtk3-${PV}.tar.gz"
LICENSE="GPL-2 MIT"
SLOT="0"
diff --git a/sci-electronics/gwave/gwave-20190116.ebuild b/sci-electronics/gwave/gwave-20190116.ebuild
index e86b222f850b..6c3e20e41063 100644
--- a/sci-electronics/gwave/gwave-20190116.ebuild
+++ b/sci-electronics/gwave/gwave-20190116.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -7,7 +7,7 @@ inherit autotools desktop xdg-utils
DESCRIPTION="Analog waveform viewer for SPICE-like simulations"
HOMEPAGE="http://gwave.sourceforge.net"
-SRC_URI="mirror://sourceforge/${PN}/gwave3/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/${PN}/gwave3/${P}.tar.gz"
LICENSE="GPL-2"
KEYWORDS="amd64 ~x86"
diff --git a/sci-electronics/irsim/Manifest b/sci-electronics/irsim/Manifest
index 144ec603afab..9bbbd570fb56 100644
--- a/sci-electronics/irsim/Manifest
+++ b/sci-electronics/irsim/Manifest
@@ -1 +1,2 @@
+DIST irsim-9.7.93-patches.tar.xz 8736 BLAKE2B 3377e8d0c7f24227930ff233b9b17f19033b3e1506ab2f72634255ce00be98841921fe68b51201f8a399d4edb4d43de00ebbe31065b5e79ef462775affc12764 SHA512 c814428d1c71e8fc69f2b19d5e69886f54ae054134c07ad72e0187b04f1a99a0267aa3c33982a264d7132bd93057cffe0aa325bd211d551e39597d5737150989
DIST irsim-9.7.93.tgz 465721 BLAKE2B f40e1216f51a51a38ee52628532989ee307db1ff3b0daa4f047a1a3eb04bd49d903382f67c1c4bae4366147f4448eb9699cdc47cffe712fa70a9d34c5bf13d00 SHA512 441a803935c178bdd663360df058142c07d91aecd158d6be8f10b670fc2a295e79839914de6a85ced58a79591625c514e2ceabe87486092d8a1784c7e47a02b3
diff --git a/sci-electronics/irsim/irsim-9.7.93-r1.ebuild b/sci-electronics/irsim/irsim-9.7.93-r1.ebuild
new file mode 100644
index 000000000000..38552dd190d4
--- /dev/null
+++ b/sci-electronics/irsim/irsim-9.7.93-r1.ebuild
@@ -0,0 +1,46 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="IRSIM is a \"switch-level\" simulator"
+HOMEPAGE="http://opencircuitdesign.com/irsim/"
+SRC_URI="http://opencircuitdesign.com/irsim/archive/${P}.tgz"
+SRC_URI+=" https://dev.gentoo.org/~sam/distfiles/${CATEGORY}/${PN}/${P}-patches.tar.xz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ dev-lang/tcl:=
+ dev-lang/tk:=
+"
+DEPEND="${RDEPEND}"
+BDEPEND="app-shells/tcsh"
+
+PATCHES=(
+ "${WORKDIR}"/${P}-patches/${PN}-9.7.72-ldflags.patch
+ "${WORKDIR}"/${P}-patches/${PN}-9.7.79-datadir.patch
+ "${WORKDIR}"/${P}-patches/${PN}-9.7.93-clean-makefile.patch
+ "${WORKDIR}"/${P}-patches/${PN}-9.7.93-C99-port.patch
+ "${WORKDIR}"/${P}-patches/${PN}-9.7.93-Makefile.patch
+)
+
+src_configure() {
+ # Short-circuit top-level configure script to retain CFLAGS
+ cd scripts || die
+ econf
+}
+
+pkg_postinst() {
+ einfo
+ einfo "You will probably need to add to your ~/.Xdefaults"
+ einfo "the following line:"
+ einfo "irsim.background: black"
+ einfo
+ einfo "This is needed because Gentoo from default sets a"
+ einfo "grey background which makes impossible to see the"
+ einfo "simulation (white line on light gray background)."
+ einfo
+}
diff --git a/sci-electronics/irsim/metadata.xml b/sci-electronics/irsim/metadata.xml
index 59be6adb7fb2..c9ff90a10614 100644
--- a/sci-electronics/irsim/metadata.xml
+++ b/sci-electronics/irsim/metadata.xml
@@ -12,4 +12,7 @@
little bit more realistic than the ideal, using the RC time constants
to predict the relative timing of events.
</longdescription>
+ <upstream>
+ <remote-id type="github">RTimothyEdwards/irsim</remote-id>
+ </upstream>
</pkgmetadata>
diff --git a/sci-electronics/kicad-footprints/Manifest b/sci-electronics/kicad-footprints/Manifest
index 0ceca6d0798f..6e356bfb43f4 100644
--- a/sci-electronics/kicad-footprints/Manifest
+++ b/sci-electronics/kicad-footprints/Manifest
@@ -1,5 +1,6 @@
DIST kicad-footprints-7.0.10.tar.bz2 24478270 BLAKE2B dd12467ba7bad3f0ab44164ea4ef6502f44143ec66173d5dadba62ab60559c0e75c4f77d00436ba2f7e1f0b527ae94cd0954fdd568031d049fbb69de56f13c0c SHA512 23fe7018f0f7328dc3d55e9f206d7ee4f4734be768d7024291b9d22c0134f1b887be5baf74fd601454e89a9a282aa9c0ad0ff631f5d29ec2ccac1c30b4dc1b66
+DIST kicad-footprints-7.0.11.tar.bz2 22722611 BLAKE2B f081eee0d8d2f9c691d7326dbc0a2edd329e027ae6602927f87e2e3c645fed1ba008e634a9043710ce552a94b01c28ac88461b83b97b26c225ad901af8535f21 SHA512 0786c08674432d797c7f98a05917ba22cfff4353e7b0e9007d61078cf6f5fc8ddf832e1a1e4d74788c9bf51fe9280ceae2c6051fce2253b5ba31b0a0f74d4511
DIST kicad-footprints-7.0.7.tar.bz2 24411508 BLAKE2B 1abedfbc3dfab302b5f929b01f2a83e83a4fee6b1d5056bf2c3579068c56807c656dea918f4c37fe030b727d3effbc35063f4f4103c4cfa6071f95c22d507597 SHA512 8af1fb371034bd5b22e0a8a896fa61e4eb0bda5b282759e17872bf4b466f49b39aa56ae068ac3d7d5a7453d9a7d511a81317d3f267a90d2764b2b8282f64aef0
-DIST kicad-footprints-7.0.8.tar.bz2 24418267 BLAKE2B d252a75adafbb8ccbe000ad290e1a0ec6044c5662a899812de3466e2fe23d8f3833b54b9c17863ddf26a1e032af404daacdb7848a9517313943b43d1b9ed488e SHA512 984cff22967dd82ec1e4706a61c68bf2357f391c4efccd80dadcae18f71ff0a90fdc61a54b491440da2a2dc7f1a2fc03091e01c9791a919db7a31920ec5b7b02
-DIST kicad-footprints-7.0.9.tar.bz2 24450969 BLAKE2B 56b00cbf682835f03495638231f1683b822f01fd7afe5c5a6e559f0f1a25a5fac20b8860661882b4779a8ccea443e28b4c3419e1039c6082f0134c4901c92848 SHA512 93438748934e630c012d28c46a7001d6139a458dd35d0e56dc77523a3e39249b14fc9e39700512a0d9a97b4e236fcbf0410e7f8506371522c883dee826b628a7
DIST kicad-footprints-8.0.0.tar.bz2 26563192 BLAKE2B a575c3f7dc00ab14e6b7b9a52b56dfaa08c87aa4d53528fd59bfba3c5adf78e8ae98377cc3087db3dc6ae677046388f011062930ae07c427533b7254b99cbddd SHA512 6ad9863f3469523d48f5daf9b999177b0d6f43c347a390f3f55fcb8700f016c84c3513b1ee3e6f95112b1cadc3f7ee1c6c6f74b44d6b27aaa19f860d79e7e7de
+DIST kicad-footprints-8.0.1.tar.bz2 26591094 BLAKE2B 2df726033e818cfc1abd4fc71c15d3ab63c70d02708f2affe2ec1acc0b7445ec8dca4b4efabff06345df05ba11d6ddc7eb4f60c37c85fb641631f08890958b0a SHA512 940ce1208f6c1b50bdaf28027f66a9aa690855631b5b2bf445c1b277c75ecd46f68c91ef6fc221d69f54d00e42c0a7a56c27daafb83dfb5cc4d486cfa29216bd
+DIST kicad-footprints-8.0.2.tar.bz2 26517366 BLAKE2B d65b1c64f9c009ad8d232198544e351949137d567a4ed77bad6ed46e2e4eefd2dad8437ed8c11992fde4657be25d93e9f3fc69f50be846df480cf393f2dfb6d3 SHA512 b194aa4396209f248d21e089078be17844182275c252b4a9d8a013860d91983589a835c89f7d64e83bbd90ba9dc4ea0254377a04a3ce8b3313400c105e6febd5
diff --git a/sci-electronics/kicad-footprints/kicad-footprints-7.0.10.ebuild b/sci-electronics/kicad-footprints/kicad-footprints-7.0.10.ebuild
index 60f7cdb4bc3f..79680e3c930d 100644
--- a/sci-electronics/kicad-footprints/kicad-footprints-7.0.10.ebuild
+++ b/sci-electronics/kicad-footprints/kicad-footprints-7.0.10.ebuild
@@ -14,7 +14,7 @@ if [[ ${PV} == 9999 ]]; then
else
SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${PV}/${P}.tar.bz2"
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
LICENSE="CC-BY-SA-4.0"
diff --git a/sci-electronics/kicad-footprints/kicad-footprints-7.0.8.ebuild b/sci-electronics/kicad-footprints/kicad-footprints-7.0.11.ebuild
index 71078f47cb4d..60f7cdb4bc3f 100644
--- a/sci-electronics/kicad-footprints/kicad-footprints-7.0.8.ebuild
+++ b/sci-electronics/kicad-footprints/kicad-footprints-7.0.11.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/sci-electronics/kicad-footprints/kicad-footprints-7.0.9.ebuild b/sci-electronics/kicad-footprints/kicad-footprints-8.0.1.ebuild
index 71078f47cb4d..7882a2e18c3c 100644
--- a/sci-electronics/kicad-footprints/kicad-footprints-7.0.9.ebuild
+++ b/sci-electronics/kicad-footprints/kicad-footprints-8.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ fi
LICENSE="CC-BY-SA-4.0"
SLOT="0"
-RDEPEND=">=sci-electronics/kicad-7.0.0"
+RDEPEND=">=sci-electronics/kicad-8.0.0"
if [[ ${PV} == 9999 ]] ; then
# x11-misc-util/macros only required on live ebuilds
diff --git a/sci-electronics/kicad-footprints/kicad-footprints-8.0.2.ebuild b/sci-electronics/kicad-footprints/kicad-footprints-8.0.2.ebuild
new file mode 100644
index 000000000000..7882a2e18c3c
--- /dev/null
+++ b/sci-electronics/kicad-footprints/kicad-footprints-8.0.2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools footprint libraries"
+HOMEPAGE="https://gitlab.com/kicad/libraries/kicad-footprints"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/kicad-footprints.git"
+ inherit git-r3
+else
+ SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${PV}/${P}.tar.bz2"
+
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+
+RDEPEND=">=sci-electronics/kicad-8.0.0"
+
+if [[ ${PV} == 9999 ]] ; then
+# x11-misc-util/macros only required on live ebuilds
+ BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
diff --git a/sci-electronics/kicad-footprints/kicad-footprints-9999.ebuild b/sci-electronics/kicad-footprints/kicad-footprints-9999.ebuild
index 01a1128e741e..7882a2e18c3c 100644
--- a/sci-electronics/kicad-footprints/kicad-footprints-9999.ebuild
+++ b/sci-electronics/kicad-footprints/kicad-footprints-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ fi
LICENSE="CC-BY-SA-4.0"
SLOT="0"
-RDEPEND=">=sci-electronics/kicad-6.0.0"
+RDEPEND=">=sci-electronics/kicad-8.0.0"
if [[ ${PV} == 9999 ]] ; then
# x11-misc-util/macros only required on live ebuilds
diff --git a/sci-electronics/kicad-meta/kicad-meta-7.0.10.ebuild b/sci-electronics/kicad-meta/kicad-meta-7.0.10.ebuild
index e47e613dc36e..5f2feada06fa 100644
--- a/sci-electronics/kicad-meta/kicad-meta-7.0.10.ebuild
+++ b/sci-electronics/kicad-meta/kicad-meta-7.0.10.ebuild
@@ -9,7 +9,7 @@ HOMEPAGE="http://www.kicad.org"
LICENSE="metapackage"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+KEYWORDS="amd64 ~arm64 ~riscv ~x86"
IUSE="doc minimal"
diff --git a/sci-electronics/kicad-meta/kicad-meta-7.0.8.ebuild b/sci-electronics/kicad-meta/kicad-meta-7.0.11.ebuild
index 3d817c71e886..e47e613dc36e 100644
--- a/sci-electronics/kicad-meta/kicad-meta-7.0.8.ebuild
+++ b/sci-electronics/kicad-meta/kicad-meta-7.0.11.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/sci-electronics/kicad-meta/kicad-meta-7.0.9.ebuild b/sci-electronics/kicad-meta/kicad-meta-8.0.1.ebuild
index 3d817c71e886..e47e613dc36e 100644
--- a/sci-electronics/kicad-meta/kicad-meta-7.0.9.ebuild
+++ b/sci-electronics/kicad-meta/kicad-meta-8.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/sci-electronics/kicad-meta/kicad-meta-8.0.2.ebuild b/sci-electronics/kicad-meta/kicad-meta-8.0.2.ebuild
new file mode 100644
index 000000000000..e47e613dc36e
--- /dev/null
+++ b/sci-electronics/kicad-meta/kicad-meta-8.0.2.ebuild
@@ -0,0 +1,27 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DESCRIPTION="Electronic Schematic and PCB design tools (meta package)"
+HOMEPAGE="http://www.kicad.org"
+
+LICENSE="metapackage"
+SLOT="0"
+
+KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+
+IUSE="doc minimal"
+
+RDEPEND="
+ >=sci-electronics/kicad-${PV}
+ >=sci-electronics/kicad-symbols-${PV}
+ >=sci-electronics/kicad-footprints-${PV}
+ doc? (
+ >=app-doc/kicad-doc-${PV}
+ )
+ !minimal? (
+ >=sci-electronics/kicad-packages3d-${PV}
+ >=sci-electronics/kicad-templates-${PV}
+ )
+"
diff --git a/sci-electronics/kicad-packages3d/Manifest b/sci-electronics/kicad-packages3d/Manifest
index c3ef4efd9761..bfbe1e1cef84 100644
--- a/sci-electronics/kicad-packages3d/Manifest
+++ b/sci-electronics/kicad-packages3d/Manifest
@@ -1,5 +1,6 @@
DIST kicad-packages3d-7.0.10.tar.bz2 773216530 BLAKE2B f45da926aa4621999c166014d6b578ace2b355343b1cf84db26f82084f27f50fd31ec1f76c91486958e6e15f353b0eac647e9251980c03f2b5522838edab5133 SHA512 c1ecf8ccb2f1e70d5981345e1f40bad6a09f1ccae4b5d67d3af3442699a3e99b6ff1a50b07a7530f6fe69d8070bd38138202f2903961afe239f11d99e1b1dd8b
+DIST kicad-packages3d-7.0.11.tar.bz2 774735333 BLAKE2B af24617db4864b4630413132a0cc5643356ea1069f095b52f157083de8d7c4800e47847ff81379669ed2584bf8c5175e54d2cf6df9fe657bcbbe151af9529ea6 SHA512 7eb3699d79a2bff0369bd610fce20c7f128e7b650d7ce5082d28ab2b3683487ef7275c3b8e1927fdddda169917a0550304b563824c5f24f9b731d3ae04727fc6
DIST kicad-packages3d-7.0.7.tar.bz2 772674558 BLAKE2B 9223317ca29e7d09423bc743df93471f4cff65a44113e9946479c9f59ceae86268cad68bf570d08d52e2ad123095ca3e2beb8249297bdb5b0f21c23f65aed9d6 SHA512 ae4d1be2dc9196acbf8e2314886f5639e4b20a922854dfce7a7eceb89cd0497d6649a5d9043870221f585a2fe9c68c2ac4ba4ccf2ede13596e4f89ebb24cc19c
-DIST kicad-packages3d-7.0.8.tar.bz2 773124302 BLAKE2B f60dc091cea4a72f0521d1c56f4e8f9521cf2d6b541502ebbe53b2ffc7b9bd9eac4dd5edfbe5b9e0f2bf8ea77463af79ad2ddb6dbe9310460a9a3d58754d7da7 SHA512 93f122b5e9fb1fc840f98b1d492af70ffd31c865b47b3030258af772ad848b5eda1ee087d81c374ea61e42e9bdca0d2bde299c6adf06a71b0f0458ebc88f9d6a
-DIST kicad-packages3d-7.0.9.tar.bz2 773284884 BLAKE2B 94bedfbe74a22968013eb4bac9c38d27472a40a7b1db0aabb942a3faee44752ccbbca4973de19097ac034816e5f89624d2644addc3bb631b6a885f275ecabb27 SHA512 88b789f838132ededcea7171cdf49871fbd3e91ef076a3330bfa6f05639c5486caba5a99adf68b5bdc8a946aefd8c4e9cca266e233c5350dbaca0d5e446eec2a
DIST kicad-packages3d-8.0.0.tar.bz2 774767823 BLAKE2B b97f8fa0096a274a836c1f500b5cdcaee1999f8073754c6666196b24c1640042183b37238fef6e01d1a4788ad026f51503cb83d721308e78d53c54ce9000ef0c SHA512 8f62dbf5f6265c1205814ab158458acf27c28f79043f9261c8ddc31c9db47920b693813c4335aa9f3f98bc9bf4a363e6103b7eec2e8b4e5a5d386510dcc121d5
+DIST kicad-packages3d-8.0.1.tar.bz2 773486331 BLAKE2B 40c3166abb029276dc39f44d469231c1df6e271d95a7826e7119bf8c706944ec9b7478019a4f97a7e81350da793642099eddc7be078cda2896ea99d181609340 SHA512 75800ff5d68a8660130cd114365a53ed72f6fc8ed09fda10e0270a519c575ec576936b65184aa957e49d7300abc4250f7bc0b61a98f69c17dd50a4a42bd51ef7
+DIST kicad-packages3d-8.0.2.tar.bz2 775246257 BLAKE2B e6d64f4c19ade481859ae88132d0a697434d127d100cb9c47f846474004bed9b52a6941747ee663935f14882c30a608444f989a298b4dc95774d8da866edd572 SHA512 861b0bf0b1259db2387eddec65fc4d1e730172257f6bd5c91931884fe3ff4e2a8b90dab41e4e6d6304dd1c8280a22d725d0480d8925e58a1c02785fdce472d86
diff --git a/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.10.ebuild b/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.10.ebuild
index ff642dcbe455..0274962e3c8e 100644
--- a/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.10.ebuild
+++ b/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.10.ebuild
@@ -15,7 +15,7 @@ else
SRC_URI="https://gitlab.com/kicad/libraries/kicad-packages3D/-/archive/${PV}/kicad-packages3D-${PV}.tar.bz2 -> ${P}.tar.bz2"
S="${WORKDIR}/${PN/3d/3D}-${PV}"
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
LICENSE="CC-BY-SA-4.0"
diff --git a/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.8.ebuild b/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.11.ebuild
index ff642dcbe455..ff642dcbe455 100644
--- a/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.8.ebuild
+++ b/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.11.ebuild
diff --git a/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.9.ebuild b/sci-electronics/kicad-packages3d/kicad-packages3d-8.0.1.ebuild
index ff642dcbe455..d4b12654f757 100644
--- a/sci-electronics/kicad-packages3d/kicad-packages3d-7.0.9.ebuild
+++ b/sci-electronics/kicad-packages3d/kicad-packages3d-8.0.1.ebuild
@@ -21,7 +21,7 @@ fi
LICENSE="CC-BY-SA-4.0"
SLOT="0"
-RDEPEND=">=sci-electronics/kicad-7.0.0"
+RDEPEND=">=sci-electronics/kicad-8.0.0"
if [[ ${PV} == 9999 ]] ; then
# x11-misc-util/macros only required on live ebuilds
diff --git a/sci-electronics/kicad-packages3d/kicad-packages3d-8.0.2.ebuild b/sci-electronics/kicad-packages3d/kicad-packages3d-8.0.2.ebuild
new file mode 100644
index 000000000000..d4b12654f757
--- /dev/null
+++ b/sci-electronics/kicad-packages3d/kicad-packages3d-8.0.2.ebuild
@@ -0,0 +1,31 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit check-reqs cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools 3D package libraries"
+HOMEPAGE="https://gitlab.com/kicad/libraries/kicad-packages3D"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/kicad-packages3D.git"
+ inherit git-r3
+else
+ SRC_URI="https://gitlab.com/kicad/libraries/kicad-packages3D/-/archive/${PV}/kicad-packages3D-${PV}.tar.bz2 -> ${P}.tar.bz2"
+ S="${WORKDIR}/${PN/3d/3D}-${PV}"
+
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+
+RDEPEND=">=sci-electronics/kicad-8.0.0"
+
+if [[ ${PV} == 9999 ]] ; then
+ # x11-misc-util/macros only required on live ebuilds
+ BDEPEND=">=x11-misc/util-macros-1.18"
+fi
+
+CHECKREQS_DISK_BUILD="11G"
diff --git a/sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild b/sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild
index ff642dcbe455..d4b12654f757 100644
--- a/sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild
+++ b/sci-electronics/kicad-packages3d/kicad-packages3d-9999.ebuild
@@ -21,7 +21,7 @@ fi
LICENSE="CC-BY-SA-4.0"
SLOT="0"
-RDEPEND=">=sci-electronics/kicad-7.0.0"
+RDEPEND=">=sci-electronics/kicad-8.0.0"
if [[ ${PV} == 9999 ]] ; then
# x11-misc-util/macros only required on live ebuilds
diff --git a/sci-electronics/kicad-symbols/Manifest b/sci-electronics/kicad-symbols/Manifest
index be35679a1fa7..2fe77db6b206 100644
--- a/sci-electronics/kicad-symbols/Manifest
+++ b/sci-electronics/kicad-symbols/Manifest
@@ -1,5 +1,6 @@
DIST kicad-symbols-7.0.10.tar.bz2 3119612 BLAKE2B b5957fe4168bd325f7628110ccac1c40d24891c07d8b9618f8c7b1c3c612afd2e1efff82357ca1f4259e7dd06c1a11abf18f29e0e4b1dd8e531b9a80c94f5d8b SHA512 dd9b80a88a8ed10bb42c921f5d56ce4e82e2349b64a23e08f2d75d0903073e2e5132bce63d23d0b71116775392994dd5292742874e87b81bdb2b726f6c4c09f0
+DIST kicad-symbols-7.0.11.tar.bz2 3369887 BLAKE2B a32be647927ea56e5f806a38983001ed31e22495b3e6dd5c63f3f0b69c84c2efdbcc8c5d18aa6ee8060242f1b0ea5c96ca0f2e7c7a98a4cb8c4f69eec1985ae7 SHA512 16e2dc478500f5b7baff0e5205530d14bc5969b2b1cdf7158995f194c7984025edc54c6a3b460ebc352dec1d3eb01e28474b027aa8994adc6958e3d014018263
DIST kicad-symbols-7.0.7.tar.bz2 3026949 BLAKE2B 9f2db4e1e63333fb1ca1625bc7218ca5163e6557f27978215ebc0c858990be09352e62f473928cdd28624a6543d7c0415536e0d09b54c8cc77d17a18caa3e788 SHA512 f66cb91b8192aee70a921f6f7c83e5b1fe2354ced2b7f97ec693af47cfa0eed261e23bb4774029918a991f5b35cb2a65b0831fee097a92bcc8a1e2c22f85fed8
-DIST kicad-symbols-7.0.8.tar.bz2 3043907 BLAKE2B ecf00fcd89e8a5685f1c262e4bbc94baf966a6530a67bf066d7e4c8425f542c6983d8030db4a50e17630baef26eab3d02b7945cc2d3d03edf2e89f8a8590a01d SHA512 4320a4f7cad3c350693ec8d385e8aae25577360e0a46456124bf2fabc6faf10cb73f6abbebbb9b924a3ffbfdd9a1c05257c99776ebd3155fc2ffc1b4fd954ec1
-DIST kicad-symbols-7.0.9.tar.bz2 3054537 BLAKE2B 690b9236f203ec2fde66c7e3170043f9081a187a1e844b660b527a295fe5398b2497327ebd17eef9ab1639493dc6f75c6a4aa57946937d09623b0cb3c0330de2 SHA512 dee2a97e3dea00ad1e586c58ca68c081534e2334edd7f45f5a8deb3193835dfe7c9ac1e180cb0ecab8152cd6c3afc9973da8cf6559667b90f3a5f629bc19f790
DIST kicad-symbols-8.0.0.tar.bz2 3645950 BLAKE2B 88c3ff83cc9bfa3af347d0bd61d1ed1ed37f7fc37f385238331d71de72def16d39b1480ebb2a828a2182290fd02868b557a45b38b1ce8af26562235334b00f4b SHA512 ede78b1e876a63fe1e6adcb108ccbf31d1e53e9198dbe933ebf0a86efe550f80588e7611f990dde9b5614f37ea7be186a8733df310e3c01a7a43425f478e173a
+DIST kicad-symbols-8.0.1.tar.bz2 3639516 BLAKE2B 0f017f446705b0fe1e3fa1d44881ffef2dfbfc4f7d072d49e8c891f4de857700d29fc59bcadf266850e337655314e931ea19782d7f2dc88d20c556bce605127a SHA512 4acd7e203c6c3c1564569825a5ed17f70e96e92492582b853a5199cc4d3bb0833a1b5c55addc3f3360de5a0f9107b15e358229df2a3714b649cdc97e881ad876
+DIST kicad-symbols-8.0.2.tar.bz2 3638897 BLAKE2B 91c840d5c737a5aff9e90bc2a04f1e7de5c9500c083ef4494b658c6232580928042841773cf939bf0f7f85a1d7059523ccce2e2ca31631831927c41e7e9c7d38 SHA512 d6403e18ff6058e990aa9a272cb711915aa96fcf85b9a95aaa4ea1b26deadba998c395a6eb9d81003b6af626341b94f428f094ab28598f430479961cd4869f5d
diff --git a/sci-electronics/kicad-symbols/kicad-symbols-7.0.10.ebuild b/sci-electronics/kicad-symbols/kicad-symbols-7.0.10.ebuild
index 812d1b0a931e..ee13e8526636 100644
--- a/sci-electronics/kicad-symbols/kicad-symbols-7.0.10.ebuild
+++ b/sci-electronics/kicad-symbols/kicad-symbols-7.0.10.ebuild
@@ -14,7 +14,7 @@ if [[ ${PV} == 9999 ]]; then
else
SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${PV}/${P}.tar.bz2"
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
LICENSE="CC-BY-SA-4.0"
diff --git a/sci-electronics/kicad-symbols/kicad-symbols-7.0.9.ebuild b/sci-electronics/kicad-symbols/kicad-symbols-7.0.11.ebuild
index 464d33a324df..812d1b0a931e 100644
--- a/sci-electronics/kicad-symbols/kicad-symbols-7.0.9.ebuild
+++ b/sci-electronics/kicad-symbols/kicad-symbols-7.0.11.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/sci-electronics/kicad-symbols/kicad-symbols-7.0.8.ebuild b/sci-electronics/kicad-symbols/kicad-symbols-8.0.1.ebuild
index 464d33a324df..4cea180f1254 100644
--- a/sci-electronics/kicad-symbols/kicad-symbols-7.0.8.ebuild
+++ b/sci-electronics/kicad-symbols/kicad-symbols-8.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ fi
LICENSE="CC-BY-SA-4.0"
SLOT="0"
-RDEPEND=">=sci-electronics/kicad-7.0.0"
+RDEPEND=">=sci-electronics/kicad-8.0.0"
if [[ ${PV} == 9999 ]] ; then
# x11-misc-util/macros only required on live ebuilds
diff --git a/sci-electronics/kicad-symbols/kicad-symbols-8.0.2.ebuild b/sci-electronics/kicad-symbols/kicad-symbols-8.0.2.ebuild
new file mode 100644
index 000000000000..4cea180f1254
--- /dev/null
+++ b/sci-electronics/kicad-symbols/kicad-symbols-8.0.2.ebuild
@@ -0,0 +1,28 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools symbol libraries"
+HOMEPAGE="https://gitlab.com/kicad/libraries/kicad-symbols"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/kicad-symbols.git"
+ inherit git-r3
+else
+ SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${PV}/${P}.tar.bz2"
+
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+
+RDEPEND=">=sci-electronics/kicad-8.0.0"
+
+if [[ ${PV} == 9999 ]] ; then
+ # x11-misc-util/macros only required on live ebuilds
+ BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
diff --git a/sci-electronics/kicad-symbols/kicad-symbols-9999.ebuild b/sci-electronics/kicad-symbols/kicad-symbols-9999.ebuild
index af9033e23412..4cea180f1254 100644
--- a/sci-electronics/kicad-symbols/kicad-symbols-9999.ebuild
+++ b/sci-electronics/kicad-symbols/kicad-symbols-9999.ebuild
@@ -20,7 +20,7 @@ fi
LICENSE="CC-BY-SA-4.0"
SLOT="0"
-RDEPEND=">=sci-electronics/kicad-6.0.0"
+RDEPEND=">=sci-electronics/kicad-8.0.0"
if [[ ${PV} == 9999 ]] ; then
# x11-misc-util/macros only required on live ebuilds
diff --git a/sci-electronics/kicad-templates/Manifest b/sci-electronics/kicad-templates/Manifest
index c7b7a14e6938..e7891acc5ad7 100644
--- a/sci-electronics/kicad-templates/Manifest
+++ b/sci-electronics/kicad-templates/Manifest
@@ -1,5 +1,6 @@
DIST kicad-templates-7.0.10.tar.bz2 1347681 BLAKE2B 0a6b2d06d257a21f32b1d5a5dfb90cf6f84f589b498faf292f0799a14dac8088482d9fa2a6cd55b2c3f9a145795cfeeb19e43b4a376ace22bab4f781fdba08ef SHA512 ee073bb615edb501075c703f60d4ba8015b489fb416d4a7709e552950904fc29b7c1dd32dd6edee2edf766d15cd1fe385c96c5d859ef89498abbb30714dcb919
+DIST kicad-templates-7.0.11.tar.bz2 1348043 BLAKE2B 8aa60440fb2344dbcf2336ed78694a5f07bc167475b0a75ff1095c3b72407feaa2a453bfb8a199529ae48d96bcd005f48b83e38dff1f7ea51005c45f0b8be6a9 SHA512 02248755e4b2cba8e496eb9e8349f6e5a88e11d95afbffae6dd87e423615c50744dc3f47b138ea253bb4b06d5c853d34d1980dadd7e18abbecbd7c032c7d0290
DIST kicad-templates-7.0.7.tar.bz2 1247513 BLAKE2B 7660829ff7474bb703011542a66bb63db9e011f717e86767eb4b09a4b802d64aa785b0283cae75c195059984a0fa0bf7a83cf5c0287850c3df9dbd40ebc4030a SHA512 dc579c72be647db67aac66bf12abe1fbb6763cf9120d325bcd60f321642b05b8b25354ede1e1c1ed31bc44f486d35c027f131230538120c49aa6f0b0e00ad5b2
-DIST kicad-templates-7.0.8.tar.bz2 1247490 BLAKE2B 49aa327896a34b6362decd05e1149e4e418c5e96957bacb7ab68f6488a87d0f9c353d3a4422b0b1c3806403447c389b04062315294dba0501aac1b83575adadd SHA512 e9e16f787df7f428dd449952aafc06d7d7eb87088cea71c4dde5a8e6bf670e473944091f5a9d7dce83bfa10e4d8e0cb6554f23d940c565df65da1fb4eeff288c
-DIST kicad-templates-7.0.9.tar.bz2 1247499 BLAKE2B 64ca21331088c35a03dab8016af102f2fdcd20c51b0debb07842eead5b9e7c80d70c9d446e47dd23d0535557e5fa81655b811fa7fca5df6c7518af8043f6e548 SHA512 5e43c124e5faef5d7691c8fc7f6c2f875e9be0a4555bd8df49553affc9bb50583a3460394c766a507203c244b2ee7b2633fa4c922db8ce3763fe6e5aa9db32a2
DIST kicad-templates-8.0.0.tar.bz2 1347354 BLAKE2B f24c131e02af8f5dbc4241c3bb812ba0e99e62cd054c2f8e39ac24091c097ee70b85e297c47183dfe598f60d5865e0db2b49101ba77577553f5eec7825cbb7a7 SHA512 636d9b1365f212a98e20d44251fd2e545c8a7bae5be25448c41976ada2bdb0ce8be0a64c9eedd89b13bcdb2c23702c8d3120ffbd89ca2fb36dce8462ad4237d5
+DIST kicad-templates-8.0.1.tar.bz2 1347686 BLAKE2B 20e7e486992de838b40ec289f2e75a929067ef0db048e97789850406f4dfd3617e78882a6557765a5ba27891f177d747ab922b3c33e7c4ad3099fdafc1755731 SHA512 9cbac4593eec461ed39c2f561f852dac321f78a9bc9ae2facd5bca6e4ce3cfcf942a693be7229cbabedeb0cfbedc304b86e302fd397e8babe4fff21c9627ab23
+DIST kicad-templates-8.0.2.tar.bz2 1347684 BLAKE2B 6d95496057d2f612539f57ee15d1fa3dc9a6f5929bdcf58a7a94123304a9b0e6788c56a66ff307ce84e262260ec2fe990a860fda104899447a2d02658821b8f8 SHA512 0b7a8806bb1a1cac5c53a851c09f922524ebfeaa565fa064c90a9ba2bd7871b4d2824c2417e7afa97e11cdc8ee2ccf2c713809829180dc50edbdd009079ff55d
diff --git a/sci-electronics/kicad-templates/kicad-templates-7.0.10.ebuild b/sci-electronics/kicad-templates/kicad-templates-7.0.10.ebuild
index 5bbfee81722b..0efdfba630c0 100644
--- a/sci-electronics/kicad-templates/kicad-templates-7.0.10.ebuild
+++ b/sci-electronics/kicad-templates/kicad-templates-7.0.10.ebuild
@@ -13,7 +13,7 @@ if [[ ${PV} == 9999 ]]; then
else
SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${PV}/${P}.tar.bz2"
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
LICENSE="CC-BY-SA-4.0"
diff --git a/sci-electronics/kicad-templates/kicad-templates-7.0.8.ebuild b/sci-electronics/kicad-templates/kicad-templates-7.0.11.ebuild
index bffd6445a28e..5bbfee81722b 100644
--- a/sci-electronics/kicad-templates/kicad-templates-7.0.8.ebuild
+++ b/sci-electronics/kicad-templates/kicad-templates-7.0.11.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
diff --git a/sci-electronics/kicad-templates/kicad-templates-7.0.9.ebuild b/sci-electronics/kicad-templates/kicad-templates-8.0.1.ebuild
index bffd6445a28e..56a84f2bc09a 100644
--- a/sci-electronics/kicad-templates/kicad-templates-7.0.9.ebuild
+++ b/sci-electronics/kicad-templates/kicad-templates-8.0.1.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,4 @@ fi
LICENSE="CC-BY-SA-4.0"
SLOT="0"
-RDEPEND=">=sci-electronics/kicad-7.0.0"
+RDEPEND=">=sci-electronics/kicad-8.0.0"
diff --git a/sci-electronics/kicad-templates/kicad-templates-8.0.2.ebuild b/sci-electronics/kicad-templates/kicad-templates-8.0.2.ebuild
new file mode 100644
index 000000000000..56a84f2bc09a
--- /dev/null
+++ b/sci-electronics/kicad-templates/kicad-templates-8.0.2.ebuild
@@ -0,0 +1,22 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit cmake
+
+DESCRIPTION="Electronic Schematic and PCB design tools project templates"
+HOMEPAGE="https://github.com/kicad/kicad-templates"
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/libraries/${PN}.git"
+ inherit git-r3
+else
+ SRC_URI="https://gitlab.com/kicad/libraries/${PN}/-/archive/${PV}/${P}.tar.bz2"
+
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+fi
+
+LICENSE="CC-BY-SA-4.0"
+SLOT="0"
+
+RDEPEND=">=sci-electronics/kicad-8.0.0"
diff --git a/sci-electronics/kicad-templates/kicad-templates-9999.ebuild b/sci-electronics/kicad-templates/kicad-templates-9999.ebuild
index db3c87def1eb..56a84f2bc09a 100644
--- a/sci-electronics/kicad-templates/kicad-templates-9999.ebuild
+++ b/sci-electronics/kicad-templates/kicad-templates-9999.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,4 +19,4 @@ fi
LICENSE="CC-BY-SA-4.0"
SLOT="0"
-RDEPEND=">=sci-electronics/kicad-6.0.0"
+RDEPEND=">=sci-electronics/kicad-8.0.0"
diff --git a/sci-electronics/kicad/Manifest b/sci-electronics/kicad/Manifest
index 2a04e25061db..10997a18105d 100644
--- a/sci-electronics/kicad/Manifest
+++ b/sci-electronics/kicad/Manifest
@@ -1,5 +1,6 @@
DIST kicad-7.0.10.tar.bz2 43991960 BLAKE2B 3e21f575e41a6036ff2a9c3ab17472e51c73612ddadbf88631717b43024e604a8607fff013828823ff4db4d4263ac8e3bcc3b069e3efdfdc66fdb627f60f192a SHA512 f8005e6cb685c4cdc3982eec644f6d4a115138eaa19ca0bd2e6ae07613eac9c98fd7cdc181dd83e6c6d3c4b73ff6a54261ac5448a2a9c53298bc611c1bf408e1
+DIST kicad-7.0.11.tar.bz2 44083805 BLAKE2B d923581f49b3cf48776de56ba12ddc99e942269c0c14950bb6b3413fb616af74a1b4e7095fc746e20125096f7d2e4c7a9f271dd58918b22fa53e8ce7b78fa6f6 SHA512 28d5560ead989dcfb6d3b07e37443de3bf1883bd56604ae20f70c0a068504fd8745f7011507d417f487b86071cec130ac8eb7bda7513d096e78dcc3dc98585aa
DIST kicad-7.0.7.tar.bz2 44055973 BLAKE2B 4169e111b8d2086572aa2979f09a8119dbc9caf34790ec5e5f3e0972d0a2e93dab6a1c814dc35ae40d5962e7ba93bad83d5930e9dba9b9f2e52f307378519714 SHA512 82eff4a16847c657ae3102af7914539bf7404e8856ca8c94557533a3ddd7b40ff4571b351dab48349d503d413cf293880245a97238516add83e79890325f1067
-DIST kicad-7.0.8.tar.bz2 43996328 BLAKE2B 929781f06c7ef9eac16fc1f7c89c07e481f04f3da68a6d54607f8671f0daf271c8b21e8eff9efbb5adfdc8a4e1b5b1cc60fc5f9fc4aed9557f15eb6cccc5e21e SHA512 e88793a4b1e1b52bf5cfb8650f8b6004020cfb61dfaa6cbf64747d9db56a74754ea281a78f58106dbdf78f28b27e6bf944ef46ab0f3d63171a0147793d776bc2
-DIST kicad-7.0.9.tar.bz2 43964032 BLAKE2B 78f7ad1409a60e9d577c97b57745e5aaa4c104ff8b7beeee6bcd4bedac2aa05b1fb4362ccb8a9ec01a322d420214a44bda30b0695a4bf02ea001f733c8671c7d SHA512 373f744d1295a04862cb9997541c3180ef3f11cd313b4bf8ff31024fe2dca1cbb5b0b15bc72f645a50fd78a0f9c4c840c8ed826e3df8b107d0d172c4c9020f2d
DIST kicad-8.0.0.tar.bz2 72430414 BLAKE2B 52bad016249563d9668f08da2103e47c7db706e6749e23ff5c59fd423673db614a1c8681cd0e7927571fe157644e142929891647964c48f45b219e72166c3ebc SHA512 52e605c10fbac0a3c6208f92ab9e567de9074e41495db9619631765a0f20e2da23a2d45610bd367d943e8b4a2d72edf33456007aabcc1f7672b0bb1a93101ce0
+DIST kicad-8.0.1.tar.bz2 72453098 BLAKE2B 67c6b69256566a176ae10affa7ac65879db71f5017dc24312eba904724b2b28caa56f6c82c697d27b34d94f9a8f5448307948e17f17c9750693b192afa3ffab9 SHA512 b6509bb4bfd1cbe87a2f409b70a8ba037a44fb039aaacd9d62868b43925382c0d3aab4c4f7e4bbd646b6ea7cf35fd7318f620a1c8c250c09251349357f2caf11
+DIST kicad-8.0.2.tar.bz2 72713030 BLAKE2B ba47a16b5c435970a45aef9988a5f6d218df043a5ce3547a191991ef63620125989e6218e97266a62c76ece604248bdf0652a10d423346fe3648c8ba240651c4 SHA512 192bcd494f00eccc430ddf9e9034f252bae177f06da81e730fb82f000a58bac9201d49ecba93c3bd17608b6df6a944beea85849050e306e11c1abfbd0028ff4a
diff --git a/sci-electronics/kicad/files/kicad-8.0.1-libgit2.patch b/sci-electronics/kicad/files/kicad-8.0.1-libgit2.patch
new file mode 100644
index 000000000000..d2523993e6fe
--- /dev/null
+++ b/sci-electronics/kicad/files/kicad-8.0.1-libgit2.patch
@@ -0,0 +1,36 @@
+From: Huang Rui <vowstar@gmail.com>
+Date: Fri, 22 Mar 2024 18:18:40 +0800
+Subject: [PATCH] libgit2-1.8.0 compatibility: adjusted parent pointer type
+
+- Adjusted parent pointer type in git_commit_create call for compatibility
+ with libgit2 1.8.0 and above.
+- Included preprocessor checks to maintain support for versions older than
+ 1.8.0.
+- Ensures consistent function behavior across different libgit2 versions.
+
+Fixes https://gitlab.com/kicad/code/kicad/-/issues/17536
+Signed-off-by: Huang Rui <vowstar@gmail.com>
+---
+ kicad/project_tree_pane.cpp | 7 +++++++
+ 1 file changed, 7 insertions(+)
+
+--- a/kicad/project_tree_pane.cpp
++++ b/kicad/project_tree_pane.cpp
+@@ -2233,7 +2233,14 @@ void PROJECT_TREE_PANE::onGitCommit( wxCommandEvent& aEvent )
+ }
+
+ git_oid oid;
++ // Check if the libgit2 library version is 1.8.0 or higher
++#if ( LIBGIT2_VER_MAJOR > 1 ) || ( LIBGIT2_VER_MAJOR == 1 && LIBGIT2_VER_MINOR >= 8 )
++ // For libgit2 version 1.8.0 and above
++ git_commit* const parents[1] = { parent };
++#else
++ // For libgit2 versions older than 1.8.0
+ const git_commit* parents[1] = { parent };
++#endif
+
+ if( git_commit_create( &oid, repo, "HEAD", author, author, nullptr, commit_msg.mb_str(), tree,
+ 1, parents ) != 0 )
+--
+2.44.0
+
diff --git a/sci-electronics/kicad/kicad-7.0.10.ebuild b/sci-electronics/kicad/kicad-7.0.10.ebuild
index 3cb993d8a376..01d0cff6c0d7 100644
--- a/sci-electronics/kicad/kicad-7.0.10.ebuild
+++ b/sci-electronics/kicad/kicad-7.0.10.ebuild
@@ -21,7 +21,7 @@ else
S="${WORKDIR}/${PN}-${MY_PV}"
if [[ ${PV} != *_rc* ]] ; then
- KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ KEYWORDS="amd64 ~arm64 ~riscv ~x86"
fi
fi
@@ -47,6 +47,7 @@ COMMON_DEPEND="
media-libs/mesa[X(+)]
net-misc/curl
>=sci-libs/opencascade-7.3.0:0=
+ <sci-libs/opencascade-7.8.0:0=
>=x11-libs/cairo-1.8.8:=
>=x11-libs/pixman-0.30
>sci-electronics/ngspice-27[shared]
@@ -60,6 +61,9 @@ COMMON_DEPEND="
nls? (
sys-devel/gettext
)
+ test? (
+ media-gfx/cairosvg
+ )
"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}
@@ -133,7 +137,8 @@ src_compile() {
src_test() {
# Test cannot find library in Portage's sandbox. Let's create a link so test can run.
- ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+ mkdir -p "${BUILD_DIR}/qa/eeschema/" || die
+ dosym "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
# LD_LIBRARY_PATH is there to help it pick up the just-built libraries
LD_LIBRARY_PATH="${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" cmake_src_test
diff --git a/sci-electronics/kicad/kicad-7.0.8-r1.ebuild b/sci-electronics/kicad/kicad-7.0.11.ebuild
index 3cb993d8a376..6048013c238d 100644
--- a/sci-electronics/kicad/kicad-7.0.8-r1.ebuild
+++ b/sci-electronics/kicad/kicad-7.0.11.ebuild
@@ -47,6 +47,7 @@ COMMON_DEPEND="
media-libs/mesa[X(+)]
net-misc/curl
>=sci-libs/opencascade-7.3.0:0=
+ <sci-libs/opencascade-7.8.0:0=
>=x11-libs/cairo-1.8.8:=
>=x11-libs/pixman-0.30
>sci-electronics/ngspice-27[shared]
@@ -60,6 +61,9 @@ COMMON_DEPEND="
nls? (
sys-devel/gettext
)
+ test? (
+ media-gfx/cairosvg
+ )
"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}
@@ -133,7 +137,8 @@ src_compile() {
src_test() {
# Test cannot find library in Portage's sandbox. Let's create a link so test can run.
- ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+ mkdir -p "${BUILD_DIR}/qa/eeschema/" || die
+ dosym "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
# LD_LIBRARY_PATH is there to help it pick up the just-built libraries
LD_LIBRARY_PATH="${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" cmake_src_test
diff --git a/sci-electronics/kicad/kicad-7.0.7.ebuild b/sci-electronics/kicad/kicad-7.0.7.ebuild
index c15e0ff6f61e..66c7ff8dd513 100644
--- a/sci-electronics/kicad/kicad-7.0.7.ebuild
+++ b/sci-electronics/kicad/kicad-7.0.7.ebuild
@@ -28,10 +28,12 @@ fi
# BSD for bundled pybind
LICENSE="GPL-2+ GPL-3+ Boost-1.0 BSD"
SLOT="0"
-IUSE="doc examples nls openmp"
+IUSE="doc examples nls openmp test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+RESTRICT="!test? ( test )"
+
# Contains bundled pybind but it's patched for wx
# See https://gitlab.com/kicad/code/kicad/-/commit/74e4370a9b146b21883d6a2d1df46c7a10bd0424
# Depend on opencascade:0 to get unslotted variant (so we know path to it), bug #833301
@@ -45,6 +47,7 @@ COMMON_DEPEND="
media-libs/mesa[X(+)]
net-misc/curl
>=sci-libs/opencascade-7.3.0:0=
+ <sci-libs/opencascade-7.8.0:0=
>=x11-libs/cairo-1.8.8:=
>=x11-libs/pixman-0.30
>sci-electronics/ngspice-27[shared]
@@ -58,6 +61,9 @@ COMMON_DEPEND="
nls? (
sys-devel/gettext
)
+ test? (
+ media-gfx/cairosvg
+ )
"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}
@@ -129,7 +135,8 @@ src_compile() {
src_test() {
# Test cannot find library in Portage's sandbox. Let's create a link so test can run.
- ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+ mkdir -p "${BUILD_DIR}/qa/eeschema/" || die
+ dosym "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
# LD_LIBRARY_PATH is there to help it pick up the just-built libraries
LD_LIBRARY_PATH="${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" cmake_src_test
diff --git a/sci-electronics/kicad/kicad-8.0.0.ebuild b/sci-electronics/kicad/kicad-8.0.0.ebuild
index 66b5e2a9bbaf..96b4a708d332 100644
--- a/sci-electronics/kicad/kicad-8.0.0.ebuild
+++ b/sci-electronics/kicad/kicad-8.0.0.ebuild
@@ -48,7 +48,8 @@ COMMON_DEPEND="
>=media-libs/glm-0.9.9.1
media-libs/mesa[X(+)]
net-misc/curl
- >=sci-libs/opencascade-7.3.0:0=
+ >=sci-libs/opencascade-7.5.0:0=
+ <sci-libs/opencascade-7.8.0:0=
>=x11-libs/cairo-1.8.8:=
>=x11-libs/pixman-0.30
>sci-electronics/ngspice-27[shared]
@@ -62,6 +63,9 @@ COMMON_DEPEND="
nls? (
sys-devel/gettext
)
+ test? (
+ media-gfx/cairosvg
+ )
"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}
@@ -77,6 +81,10 @@ fi
CHECKREQS_DISK_BUILD="1500M"
+PATCHES=(
+ "${FILESDIR}"/${PN}-8.0.1-libgit2.patch
+)
+
pkg_setup() {
[[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
@@ -134,7 +142,8 @@ src_compile() {
src_test() {
# Test cannot find library in Portage's sandbox. Let's create a link so test can run.
- ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+ mkdir -p "${BUILD_DIR}/qa/eeschema/" || die
+ dosym "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
# LD_LIBRARY_PATH is there to help it pick up the just-built libraries
LD_LIBRARY_PATH="${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" cmake_src_test
diff --git a/sci-electronics/kicad/kicad-7.0.9.ebuild b/sci-electronics/kicad/kicad-8.0.1.ebuild
index 3cb993d8a376..96b4a708d332 100644
--- a/sci-electronics/kicad/kicad-7.0.9.ebuild
+++ b/sci-electronics/kicad/kicad-8.0.1.ebuild
@@ -28,7 +28,7 @@ fi
# BSD for bundled pybind
LICENSE="GPL-2+ GPL-3+ Boost-1.0 BSD"
SLOT="0"
-IUSE="doc examples nls openmp test"
+IUSE="doc examples nls openmp telemetry test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
@@ -39,14 +39,17 @@ RESTRICT="!test? ( test )"
# Depend on opencascade:0 to get unslotted variant (so we know path to it), bug #833301
# Depend wxGTK version needs to be limited due to switch from EGL to GLX, bug #911120
COMMON_DEPEND="
+ app-crypt/libsecret
dev-db/unixODBC
dev-libs/boost:=[context,nls]
+ dev-libs/libgit2:=
media-libs/freeglut
media-libs/glew:0=
>=media-libs/glm-0.9.9.1
media-libs/mesa[X(+)]
net-misc/curl
- >=sci-libs/opencascade-7.3.0:0=
+ >=sci-libs/opencascade-7.5.0:0=
+ <sci-libs/opencascade-7.8.0:0=
>=x11-libs/cairo-1.8.8:=
>=x11-libs/pixman-0.30
>sci-electronics/ngspice-27[shared]
@@ -60,6 +63,9 @@ COMMON_DEPEND="
nls? (
sys-devel/gettext
)
+ test? (
+ media-gfx/cairosvg
+ )
"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}
@@ -76,7 +82,7 @@ fi
CHECKREQS_DISK_BUILD="1500M"
PATCHES=(
- "${FILESDIR}"/${PN}-7.0.0-werror.patch
+ "${FILESDIR}"/${PN}-8.0.1-libgit2.patch
)
pkg_setup() {
@@ -118,6 +124,9 @@ src_configure() {
-DOCC_INCLUDE_DIR="${CASROOT}"/include/opencascade
-DOCC_LIBRARY_DIR="${CASROOT}"/$(get_libdir)/opencascade
+ -DKICAD_USE_SENTRY="$(usex telemetry)"
+
+ -DKICAD_SPICE_QA="$(usex test)"
-DKICAD_BUILD_QA_TESTS="$(usex test)"
)
@@ -133,7 +142,8 @@ src_compile() {
src_test() {
# Test cannot find library in Portage's sandbox. Let's create a link so test can run.
- ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+ mkdir -p "${BUILD_DIR}/qa/eeschema/" || die
+ dosym "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
# LD_LIBRARY_PATH is there to help it pick up the just-built libraries
LD_LIBRARY_PATH="${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" cmake_src_test
diff --git a/sci-electronics/kicad/kicad-8.0.2-r1.ebuild b/sci-electronics/kicad/kicad-8.0.2-r1.ebuild
new file mode 100644
index 000000000000..83bf7ead3a08
--- /dev/null
+++ b/sci-electronics/kicad/kicad-8.0.2-r1.ebuild
@@ -0,0 +1,180 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+PYTHON_COMPAT=( python3_{10..11} )
+WX_GTK_VER="3.2-gtk3"
+
+inherit check-reqs cmake flag-o-matic optfeature python-single-r1 toolchain-funcs wxwidgets xdg-utils
+
+DESCRIPTION="Electronic Schematic and PCB design tools"
+HOMEPAGE="https://www.kicad.org"
+
+if [[ ${PV} == 9999 ]]; then
+ EGIT_REPO_URI="https://gitlab.com/kicad/code/kicad.git"
+ inherit git-r3
+else
+ MY_PV="${PV/_rc/-rc}"
+ MY_P="${PN}-${MY_PV}"
+ SRC_URI="https://gitlab.com/kicad/code/${PN}/-/archive/${MY_PV}/${MY_P}.tar.bz2 -> ${P}.tar.bz2"
+ S="${WORKDIR}/${PN}-${MY_PV}"
+
+ if [[ ${PV} != *_rc* ]] ; then
+ KEYWORDS="~amd64 ~arm64 ~riscv ~x86"
+ fi
+fi
+
+# BSD for bundled pybind
+LICENSE="GPL-2+ GPL-3+ Boost-1.0 BSD"
+SLOT="0"
+IUSE="doc examples nls openmp test"
+
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+RESTRICT="!test? ( test )"
+
+# Contains bundled pybind but it's patched for wx
+# See https://gitlab.com/kicad/code/kicad/-/commit/74e4370a9b146b21883d6a2d1df46c7a10bd0424
+# Depend on opencascade:0 to get unslotted variant (so we know path to it), bug #833301
+# Depend wxGTK version needs to be limited due to switch from EGL to GLX, bug #911120
+COMMON_DEPEND="
+ app-crypt/libsecret
+ dev-db/unixODBC
+ dev-libs/boost:=[context,nls]
+ dev-libs/libgit2:=
+ media-libs/freeglut
+ media-libs/glew:0=
+ >=media-libs/glm-0.9.9.1
+ media-libs/mesa[X(+)]
+ net-misc/curl
+ >=sci-libs/opencascade-7.5.0:0=
+ >=x11-libs/cairo-1.8.8:=
+ >=x11-libs/pixman-0.30
+ >sci-electronics/ngspice-27[shared]
+ sys-libs/zlib
+ >=x11-libs/wxGTK-3.2.2.1-r3:${WX_GTK_VER}[X,opengl]
+ $(python_gen_cond_dep '
+ dev-libs/boost:=[context,nls,python,${PYTHON_USEDEP}]
+ >=dev-python/wxpython-4.2.0:*[${PYTHON_USEDEP}]
+ ')
+ ${PYTHON_DEPS}
+ nls? (
+ sys-devel/gettext
+ )
+ test? (
+ media-gfx/cairosvg
+ )
+"
+DEPEND="${COMMON_DEPEND}"
+RDEPEND="${COMMON_DEPEND}
+ sci-electronics/electronics-menu
+"
+BDEPEND=">=dev-lang/swig-4.0
+ doc? ( app-text/doxygen )"
+
+if [[ ${PV} == 9999 ]] ; then
+ # x11-misc-util/macros only required on live ebuilds
+ BDEPEND+=" >=x11-misc/util-macros-1.18"
+fi
+
+CHECKREQS_DISK_BUILD="1500M"
+
+pkg_setup() {
+ [[ ${MERGE_TYPE} != binary ]] && use openmp && tc-check-openmp
+
+ python-single-r1_pkg_setup
+ setup-wxwidgets
+ check-reqs_pkg_setup
+}
+
+src_unpack() {
+ if [[ ${PV} == 9999 ]]; then
+ git-r3_src_unpack
+ else
+ default_src_unpack
+ fi
+}
+
+src_prepare() {
+ filter-lto # Bug 927482
+ cmake_src_prepare
+}
+
+src_configure() {
+ xdg_environment_reset
+
+ local mycmakeargs=(
+ -DKICAD_DOCS="${EPREFIX}/usr/share/doc/${PN}-doc-${PV}"
+
+ -DKICAD_SCRIPTING_WXPYTHON=ON
+ -DKICAD_USE_EGL=OFF
+
+ -DKICAD_BUILD_I18N="$(usex nls)"
+ -DKICAD_I18N_UNIX_STRICT_PATH="$(usex nls)"
+
+ -DPYTHON_DEST="$(python_get_sitedir)"
+ -DPYTHON_EXECUTABLE="${PYTHON}"
+ -DPYTHON_INCLUDE_DIR="$(python_get_includedir)"
+ -DPYTHON_LIBRARY="$(python_get_library_path)"
+
+ -DKICAD_INSTALL_DEMOS="$(usex examples)"
+ -DCMAKE_SKIP_RPATH="ON"
+
+ -DOCC_INCLUDE_DIR="${CASROOT}"/include/opencascade
+ -DOCC_LIBRARY_DIR="${CASROOT}"/$(get_libdir)/opencascade
+
+ -DKICAD_SPICE_QA="$(usex test)"
+ -DKICAD_BUILD_QA_TESTS="$(usex test)"
+ )
+
+ cmake_src_configure
+}
+
+src_compile() {
+ cmake_src_compile
+ if use doc; then
+ cmake_src_compile doxygen-docs
+ fi
+}
+
+src_test() {
+ # Test cannot find library in Portage's sandbox. Let's create a link so test can run.
+ mkdir -p "${BUILD_DIR}/qa/eeschema/" || die
+ dosym "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+
+ # LD_LIBRARY_PATH is there to help it pick up the just-built libraries
+ LD_LIBRARY_PATH="${BUILD_DIR}/common:${BUILD_DIR}/common/gal:${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" \
+ cmake_src_test
+}
+
+src_install() {
+ cmake_src_install
+ python_optimize
+
+ dodoc doxygen/eagle-plugin-notes.txt
+
+ if use doc ; then
+ cd doxygen || die
+ dodoc -r out/html/.
+ fi
+}
+
+pkg_postinst() {
+ optfeature "Component symbols library" sci-electronics/kicad-symbols
+ optfeature "Component footprints library" sci-electronics/kicad-footprints
+ optfeature "3D models of components " sci-electronics/kicad-packages3d
+ optfeature "Project templates" sci-electronics/kicad-templates
+ optfeature "Extended documentation" app-doc/kicad-doc
+ optfeature "Creating 3D models of components" media-gfx/wings
+
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
+
+pkg_postrm() {
+ xdg_desktop_database_update
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+}
diff --git a/sci-electronics/kicad/kicad-9999.ebuild b/sci-electronics/kicad/kicad-9999.ebuild
index 66b5e2a9bbaf..83bf7ead3a08 100644
--- a/sci-electronics/kicad/kicad-9999.ebuild
+++ b/sci-electronics/kicad/kicad-9999.ebuild
@@ -6,7 +6,7 @@ EAPI=8
PYTHON_COMPAT=( python3_{10..11} )
WX_GTK_VER="3.2-gtk3"
-inherit check-reqs cmake optfeature python-single-r1 toolchain-funcs wxwidgets xdg-utils
+inherit check-reqs cmake flag-o-matic optfeature python-single-r1 toolchain-funcs wxwidgets xdg-utils
DESCRIPTION="Electronic Schematic and PCB design tools"
HOMEPAGE="https://www.kicad.org"
@@ -28,7 +28,7 @@ fi
# BSD for bundled pybind
LICENSE="GPL-2+ GPL-3+ Boost-1.0 BSD"
SLOT="0"
-IUSE="doc examples nls openmp telemetry test"
+IUSE="doc examples nls openmp test"
REQUIRED_USE="${PYTHON_REQUIRED_USE}"
@@ -48,7 +48,7 @@ COMMON_DEPEND="
>=media-libs/glm-0.9.9.1
media-libs/mesa[X(+)]
net-misc/curl
- >=sci-libs/opencascade-7.3.0:0=
+ >=sci-libs/opencascade-7.5.0:0=
>=x11-libs/cairo-1.8.8:=
>=x11-libs/pixman-0.30
>sci-electronics/ngspice-27[shared]
@@ -62,6 +62,9 @@ COMMON_DEPEND="
nls? (
sys-devel/gettext
)
+ test? (
+ media-gfx/cairosvg
+ )
"
DEPEND="${COMMON_DEPEND}"
RDEPEND="${COMMON_DEPEND}
@@ -93,6 +96,11 @@ src_unpack() {
fi
}
+src_prepare() {
+ filter-lto # Bug 927482
+ cmake_src_prepare
+}
+
src_configure() {
xdg_environment_reset
@@ -116,8 +124,6 @@ src_configure() {
-DOCC_INCLUDE_DIR="${CASROOT}"/include/opencascade
-DOCC_LIBRARY_DIR="${CASROOT}"/$(get_libdir)/opencascade
- -DKICAD_USE_SENTRY="$(usex telemetry)"
-
-DKICAD_SPICE_QA="$(usex test)"
-DKICAD_BUILD_QA_TESTS="$(usex test)"
)
@@ -134,10 +140,12 @@ src_compile() {
src_test() {
# Test cannot find library in Portage's sandbox. Let's create a link so test can run.
- ln -s "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
+ mkdir -p "${BUILD_DIR}/qa/eeschema/" || die
+ dosym "${BUILD_DIR}/eeschema/_eeschema.kiface" "${BUILD_DIR}/qa/eeschema/_eeschema.kiface" || die
# LD_LIBRARY_PATH is there to help it pick up the just-built libraries
- LD_LIBRARY_PATH="${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" cmake_src_test
+ LD_LIBRARY_PATH="${BUILD_DIR}/common:${BUILD_DIR}/common/gal:${BUILD_DIR}/3d-viewer/3d_cache/sg:${LD_LIBRARY_PATH}" \
+ cmake_src_test
}
src_install() {
diff --git a/sci-electronics/ngspice/ngspice-36.ebuild b/sci-electronics/ngspice/ngspice-36.ebuild
index 0a20c0490177..6a99a86b05e4 100644
--- a/sci-electronics/ngspice/ngspice-36.ebuild
+++ b/sci-electronics/ngspice/ngspice-36.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -6,8 +6,8 @@ EAPI=7
inherit autotools multibuild toolchain-funcs virtualx
DESCRIPTION="The Next Generation Spice (Electronic Circuit Simulator)"
-SRC_URI="mirror://sourceforge/ngspice/${P}.tar.gz
- doc? ( mirror://sourceforge/ngspice/${P}-manual.pdf )"
+SRC_URI="https://downloads.sourceforge.net/ngspice/${P}.tar.gz
+ doc? ( https://downloads.sourceforge.net/ngspice/${P}-manual.pdf )"
HOMEPAGE="http://ngspice.sourceforge.net"
LICENSE="BSD GPL-2"
diff --git a/sci-electronics/ngspice/ngspice-40.ebuild b/sci-electronics/ngspice/ngspice-40.ebuild
index f29cb217b6fe..c06bd1110fc8 100644
--- a/sci-electronics/ngspice/ngspice-40.ebuild
+++ b/sci-electronics/ngspice/ngspice-40.ebuild
@@ -1,15 +1,15 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-inherit autotools multibuild toolchain-funcs virtualx
+inherit autotools flag-o-matic multibuild toolchain-funcs virtualx
DESCRIPTION="The Next Generation Spice (Electronic Circuit Simulator)"
HOMEPAGE="http://ngspice.sourceforge.net"
SRC_URI="
- mirror://sourceforge/ngspice/${P}.tar.gz
- doc? ( mirror://sourceforge/ngspice/${P}-manual.pdf )
+ https://downloads.sourceforge.net/ngspice/${P}.tar.gz
+ doc? ( https://downloads.sourceforge.net/ngspice/${P}-manual.pdf )
"
LICENSE="BSD GPL-2 MPL-2.0"
@@ -80,6 +80,11 @@ src_prepare() {
}
src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/862513
+ # https://sourceforge.net/p/ngspice/bugs/665/
+ filter-lto
+
multibuild_foreach_variant ngspice_configure
}
diff --git a/sci-electronics/nvc/Manifest b/sci-electronics/nvc/Manifest
index 739f6012d537..5d5160e81c24 100644
--- a/sci-electronics/nvc/Manifest
+++ b/sci-electronics/nvc/Manifest
@@ -1,2 +1,2 @@
-DIST nvc-1.11.2.tar.gz 1842005 BLAKE2B e2d616f70088cfead82931f27ff346e0343b53181c1cd1257ae38790146a0927b5a650e575a91191174c472f2d877cfe596aad879f9af0c043361eb286846648 SHA512 a129ec6a845e956cc55b2158bb8913eedd0b5a3b866726992f2d249d29b268287b60a3e2a74709d146e2bc68696f6bd3db4f1a2003c78a161037d2ae12cfa3d5
-DIST nvc-1.11.3.tar.gz 1843551 BLAKE2B 27cf3a6cfa0b21ca0ff9f2f96a150fea2a3d55a53969228d6d83475458e5a1c6ef76a676afc73588a5de2acaaf2ec40d04a5c8296ec6615501572e3c6903d9f8 SHA512 22e5e6daad4d79822e7d1eac02c095f24a23e7237e8e8af9e085f225edf7dbf0c557fefb8d50ca20ccd14d9e3dd20b7d01b7363a651ab088685d1737fbe03ccd
+DIST nvc-1.12.1.tar.gz 1931464 BLAKE2B 7081387b81afd20d05ad69d8e29c6549e286d4b5e90ca7e044ddcc8df80d1db7a3a398b11303c7b2e90cf8863e3b7a910530b353c6664d03c2be0e18ee40379f SHA512 33df2d4be7938be381f763f33b95b09a49f5d10d3b240f280379e83d367c05f886a867fdd945acc23debb1652b52a76ca2ec0c338d87b146a02ed2c858a8960b
+DIST nvc-1.12.2.tar.gz 1932149 BLAKE2B 6a71c9bb5ea5254c6b1d2283e4f3e14f13c8399204810cbbc05fae25b50cd5307cb3cdbf101c129dbc1863a135e493fafd8672903665eb4f5f3c9a95c6fcaf82 SHA512 d386cd32533d60c0ab795955a376a4c0de4b35d2ce7fdbda9e4f4c79605fb8e0422ddee574204f1f8a951caf0d87e4446ebb28ff5b3352644307c0c13bbe8765
diff --git a/sci-electronics/nvc/nvc-1.11.3.ebuild b/sci-electronics/nvc/nvc-1.12.1.ebuild
index dd4ecc425726..dd4ecc425726 100644
--- a/sci-electronics/nvc/nvc-1.11.3.ebuild
+++ b/sci-electronics/nvc/nvc-1.12.1.ebuild
diff --git a/sci-electronics/nvc/nvc-1.11.2.ebuild b/sci-electronics/nvc/nvc-1.12.2.ebuild
index 5ed8a314d8ca..dd4ecc425726 100644
--- a/sci-electronics/nvc/nvc-1.11.2.ebuild
+++ b/sci-electronics/nvc/nvc-1.12.2.ebuild
@@ -16,15 +16,18 @@ if [[ "${PV}" == *9999* ]] ; then
EGIT_REPO_URI="https://github.com/nickg/nvc.git"
- NVC_SOURCEDIR="${WORKDIR}"/${PN}-${PV}
+ NVC_SOURCEDIR="${WORKDIR}/${PN}-${PV}"
else
SRC_URI="https://github.com/nickg/nvc/archive/r${PV}.tar.gz
-> ${P}.tar.gz"
KEYWORDS="~amd64 ~x86"
- NVC_SOURCEDIR="${WORKDIR}"/${PN}-r${PV}
+ NVC_SOURCEDIR="${WORKDIR}/${PN}-r${PV}"
fi
+NVC_BUILDDIR="${NVC_SOURCEDIR}_BuildDir"
+S="${NVC_BUILDDIR}"
+
LICENSE="GPL-3+"
SLOT="0"
IUSE="debug llvm"
@@ -40,7 +43,9 @@ RDEPEND="
dev-libs/libxml2:=
sys-libs/ncurses:=
sys-libs/zlib:=
- llvm? ( <sys-devel/llvm-$((${LLVM_MAX_SLOT} + 1)):= )
+ llvm? (
+ <sys-devel/llvm-$((${LLVM_MAX_SLOT} + 1)):=
+ )
"
DEPEND="
${RDEPEND}
@@ -51,9 +56,6 @@ BDEPEND="
sys-devel/flex
"
-NVC_BUILDDIR="${NVC_SOURCEDIR}_BuildDir"
-S="${NVC_BUILDDIR}"
-
PATCHES=( "${FILESDIR}/nvc-1.9.2-jit-code-capstone.patch" )
# Special libraries for NVC.
@@ -101,13 +103,12 @@ src_compile() {
}
src_test() {
- PATH="${S}/bin:${PATH}" emake check
+ PATH="${S}/bin:${PATH}" emake check-TESTS
}
src_install() {
default
mv "${D}/$(get_bashcompdir)"/nvc{.bash,} || die
-
dostrip -x "/usr/$(get_libdir)/nvc"
}
diff --git a/sci-electronics/pcb/pcb-4.2.2.ebuild b/sci-electronics/pcb/pcb-4.2.2.ebuild
index 8c88c3365640..ae701d9c3c28 100644
--- a/sci-electronics/pcb/pcb-4.2.2.ebuild
+++ b/sci-electronics/pcb/pcb-4.2.2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=7
@@ -7,7 +7,7 @@ inherit autotools toolchain-funcs xdg
DESCRIPTION="GPL Electronic Design Automation: Printed Circuit Board editor"
HOMEPAGE="http://pcb.geda-project.org/"
-SRC_URI="mirror://sourceforge/pcb/pcb/${P}/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/pcb/pcb/${P}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
diff --git a/sci-electronics/pcb/pcb-4.3.0.ebuild b/sci-electronics/pcb/pcb-4.3.0.ebuild
index 80f27c1fb2ba..d4b4fe2af37a 100644
--- a/sci-electronics/pcb/pcb-4.3.0.ebuild
+++ b/sci-electronics/pcb/pcb-4.3.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -7,7 +7,7 @@ inherit autotools toolchain-funcs virtualx xdg
DESCRIPTION="GPL Electronic Design Automation: Printed Circuit Board editor"
HOMEPAGE="http://pcb.geda-project.org/"
-SRC_URI="mirror://sourceforge/pcb/pcb/${P}/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/pcb/pcb/${P}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
diff --git a/sci-electronics/qelectrotech/metadata.xml b/sci-electronics/qelectrotech/metadata.xml
index 610d2d8ea120..115e9d64a669 100644
--- a/sci-electronics/qelectrotech/metadata.xml
+++ b/sci-electronics/qelectrotech/metadata.xml
@@ -1,8 +1,5 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
- <maintainer type="project">
- <email>qt@gentoo.org</email>
- <name>Gentoo Qt Project</name>
- </maintainer>
+ <!-- maintainer-needed -->
</pkgmetadata>
diff --git a/sci-electronics/spice/spice-3.5.5-r3.ebuild b/sci-electronics/spice/spice-3.5.5-r3.ebuild
deleted file mode 100644
index 3228789e8fc9..000000000000
--- a/sci-electronics/spice/spice-3.5.5-r3.ebuild
+++ /dev/null
@@ -1,75 +0,0 @@
-# Copyright 1999-2023 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI="6"
-
-inherit flag-o-matic toolchain-funcs
-
-MY_P="spice3f5sfix"
-DESCRIPTION="general-purpose circuit simulation program"
-HOMEPAGE="http://bwrc.eecs.berkeley.edu/Classes/IcBook/SPICE/"
-SRC_URI="http://www.ibiblio.org/pub/Linux/apps/circuits/${MY_P}.tar.gz"
-
-LICENSE="BSD"
-SLOT="0"
-KEYWORDS="amd64 ~ppc ~x86"
-
-RDEPEND="sys-libs/ncurses:0=
- x11-libs/libXaw
- >=app-misc/editor-wrapper-3"
-
-DEPEND="${RDEPEND}
- virtual/pkgconfig
- x11-base/xorg-proto
- "
-
-S=${WORKDIR}/${MY_P}
-
-src_prepare() {
- # spice accepts -O1 at most
- replace-flags -O* -O1
-
- # Avoid re-creating WORKDIR due to stupid mtime
- touch ..
-
- sed -i -e "s:termcap:ncurses:g" \
- -e "s:joe:/usr/libexec/editor:g" \
- -e "s:-O2 -s:${CFLAGS}:g" \
- -e "s:-lncurses -lm -s:-lncurses -lm ${LDFLAGS}:" \
- -e "s:SPICE_DIR)/lib:SPICE_DIR)/$(get_libdir)/spice:g" \
- -e "s:/usr/local/spice:/usr:g" \
- -e "s:/X11R6::" \
- conf/linux || die
- sed -i -e "s:head -1:head -n 1:" util/build || die
- eapply "${FILESDIR}"/${P}-gcc-4.1.patch
- # Bug https://bugs.gentoo.org/783192
- eapply "${FILESDIR}"/${P}-arlocal.patch
-
- # fix possible buffer overflow (bug #339539)
- sed -i -e "s:fgets(buf, BSIZE_SP:fgets(buf, sizeof(buf):g" \
- src/lib/fte/misccoms.c || die
-
- # fix missing libtinfo if ncurses compiled with USE=tinfo (bug #605718)
- sed -i -e "s:-lncurses:$($(tc-getPKG_CONFIG) --libs ncurses):g" conf/linux || die
-
- eapply_user
-}
-
-src_compile() {
- ./util/build linux || die "build failed"
- obj/bin/makeidx lib/helpdir/spice.txt || die "makeidx failed"
-}
-
-src_install() {
- # install binaries
- dobin obj/bin/{spice3,nutmeg,sconvert,multidec,proc2mod}
- newbin obj/bin/help spice.help
- dosym spice3 /usr/bin/spice
- # install runtime stuff
- rm -f lib/make*
- dodir /usr/$(get_libdir)/spice
- cp -R lib/* "${D}"/usr/$(get_libdir)/spice/ || die "failed to copy libraries"
- # install docs
- doman man/man1/*.1
- dodoc readme readme.Linux notes/spice2
-}
diff --git a/sci-electronics/xnec2c/Manifest b/sci-electronics/xnec2c/Manifest
index 4eaf602c3d4a..27940f492e67 100644
--- a/sci-electronics/xnec2c/Manifest
+++ b/sci-electronics/xnec2c/Manifest
@@ -1 +1,3 @@
DIST xnec2c-v4.4.12.tar.gz 1496988 BLAKE2B dbcea1e24382b9f2bb6e881007b44dcf99b9caa7f970ecbb1363e1a0e232d9d1bda6fe68f90622d81cdc69b3b9ff6019dd4b123d6a79f8c6bd088dbd804354b8 SHA512 0d1711260d7f69633d9e6bb559f3b56c2a25414f75ed913c643c0aaad5e4062834ce6c7c7816741f65436173b331e6f8f957c4a624a77214414865bac94ab7e8
+DIST xnec2c-v4.4.14.tar.gz 1509461 BLAKE2B 26aca7e4e328dff4e418d16499312bd3137fc9c46b382e928c1916fa111cfb7da2e891274ac414691b0e40520146a7c9da4781fa2864f1abcade247c2732fa89 SHA512 8fa407bf47a1cd600ddffb51b89b6f8ac869a6c8c5d8d1420a494d14c6d8c03e8a6ff845dcff3ac64aca0373d32980a0e1f4f615806df178cdef2eae2190212f
+DIST xnec2c-v4.4.16.tar.gz 1509642 BLAKE2B d816ccbc8535b8a045f14cf6dd0e8b586a076fa2600fd3c0d71fd471efb6e63e739c20b3fa8427934e9e2cf71a9c12b701cbe44b5c4ffb96c78eeaa63fc5cbc5 SHA512 e7ccb0fe844c09ef36114835546f53ff92e053cf05fe64232efb3d7958b0860f86ef930296eb419dbe9b2ec2e9e0697de7e4fef3e2ec139566e585cf9b2cdba9
diff --git a/sci-electronics/xnec2c/xnec2c-4.4.14.ebuild b/sci-electronics/xnec2c/xnec2c-4.4.14.ebuild
new file mode 100644
index 000000000000..a968f495ffc9
--- /dev/null
+++ b/sci-electronics/xnec2c/xnec2c-4.4.14.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools xdg-utils
+
+MY_P=${PN}-v${PV}
+
+DESCRIPTION="A GTK+ graphical interactive version of nec2c"
+HOMEPAGE="https://www.xnec2c.org"
+SRC_URI="https://www.xnec2c.org/releases/${MY_P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+
+RDEPEND="dev-libs/glib:2
+ x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+ sys-devel/gettext"
+
+S="${WORKDIR}/${MY_P}"
+
+src_prepare() {
+ eapply_user
+ # bug 896176
+ sed -i -e "s/-D_FORTIFY_SOURCE=2//g" configure.ac || die
+ eautoreconf
+}
+
+src_install() {
+ default
+ docompress -x /usr/share/man
+
+ rm -R "${D}/usr/share/doc/${P}" || die
+ dodoc AUTHORS README.md doc/*.txt
+ use doc && dodoc -r doc/*.html doc/images
+
+ if ! use examples ; then
+ rm -R "${D}/usr/share/${PN}/examples" || die
+ fi
+}
+
+pkg_postinst() {
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
diff --git a/sci-electronics/xnec2c/xnec2c-4.4.16.ebuild b/sci-electronics/xnec2c/xnec2c-4.4.16.ebuild
new file mode 100644
index 000000000000..a04f45020702
--- /dev/null
+++ b/sci-electronics/xnec2c/xnec2c-4.4.16.ebuild
@@ -0,0 +1,56 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools xdg-utils
+
+MY_P=${PN}-v${PV}
+
+DESCRIPTION="A GTK+ graphical interactive version of nec2c"
+HOMEPAGE="https://www.xnec2c.org"
+SRC_URI="https://www.xnec2c.org/releases/${MY_P}.tar.gz"
+
+S="${WORKDIR}/${MY_P}"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="doc examples"
+
+RDEPEND="dev-libs/glib:2
+ x11-libs/gtk+:3"
+DEPEND="${RDEPEND}
+ sys-devel/gettext"
+
+src_prepare() {
+ eapply_user
+ # bug 896176
+ sed -i -e "s/-D_FORTIFY_SOURCE=2//g" configure.ac || die
+ eautoreconf
+}
+
+src_install() {
+ default
+ docompress -x /usr/share/man
+
+ rm -R "${D}/usr/share/doc/${P}" || die
+ dodoc AUTHORS README.md doc/*.txt
+ use doc && dodoc -r doc/*.html doc/images
+
+ if ! use examples ; then
+ rm -R "${D}/usr/share/${PN}/examples" || die
+ fi
+}
+
+pkg_postinst() {
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
+
+pkg_postrm() {
+ xdg_mimeinfo_database_update
+ xdg_icon_cache_update
+ xdg_desktop_database_update
+}
diff --git a/sci-electronics/xoscope/xoscope-2.3.ebuild b/sci-electronics/xoscope/xoscope-2.3.ebuild
index 69434a3f9cfc..091317b23add 100644
--- a/sci-electronics/xoscope/xoscope-2.3.ebuild
+++ b/sci-electronics/xoscope/xoscope-2.3.ebuild
@@ -1,13 +1,13 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
-inherit autotools linux-info
+inherit autotools flag-o-matic linux-info
DESCRIPTION="Soundcard Oscilloscope for X"
HOMEPAGE="http://xoscope.sourceforge.net"
-SRC_URI="mirror://sourceforge/project/${PN}/${PN}/${PV}/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/project/${PN}/${PN}/${PV}/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
@@ -32,3 +32,12 @@ src_prepare() {
default
eautoreconf
}
+
+src_configure() {
+ # -Werror=lto-type-mismatch
+ # https://bugs.gentoo.org/878065
+ # https://sourceforge.net/p/xoscope/bugs/23/
+ filter-lto
+
+ default
+}